/* A Bison parser, made by GNU Bison 2.4.3.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006,
   2009, 2010 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.3"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"

#ifdef	WIN32
#include <malloc.h>
#if _MSC_VER
#pragma warning(disable : 4786)
#endif
#include <cstdio>
#include <memory>
namespace std
{ using ::size_t; 
  using ::malloc;
  using ::free;
}
#endif

#include <algorithm>
#include <iostream>
#include <map>
#include <string>
#include <vector>
#include <stack>
#include <cassert>
#include <cstring>

#include	"parsenode.h"
#include	<aqsis/util/logging.h>
#include	<aqsis/util/exception.h>
#include	<aqsis/math/math.h>

# define YYMAXDEPTH 100000
# define YYINITDEPTH  2000

using namespace Aqsis;


namespace Aqsis
{

extern CqString ParseStreamName;
extern std::ostream* ParseErrorStream;
extern TqInt ParseLineNumber;
extern TqInt	iArrayAccess;
CqParseNode*	ParseTreePointer;
std::vector<std::pair<bool,CqString> >	ParseNameSpaceStack;
int scopeID = 0;
std::stack<TqInt> functionReturnCountStack;
std::stack<CqParseNodeDeclaration*> currentFunctionStack;
EqShaderType gShaderType;

bool	FindVariable(const char* name, SqVarRef& ref);
bool	FindFunction(const char* name, std::vector<SqFuncRef>& Ref);
CqString strNameSpace();
void	pushScope(CqString name, bool terminal=false);
CqString	popScope();
void	TypeCheck();
void	Optimise();
void	InitStandardNamespace();
void	ProcessShaderArguments( CqParseNode* pArgs );

void Error(const CqString& message, TqInt lineNumber);

}



/* Line 189 of yacc.c  */
#line 138 "/builddir/build/BUILD/aqsis-1.6.0/build/libs/slcomp/parse/parser.cpp"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENTIFIER = 258,
     SYMBOL = 259,
     ARRAY_SYMBOL = 260,
     TYPE_FLOAT = 261,
     TYPE_POINT = 262,
     TYPE_STRING = 263,
     TYPE_COLOR = 264,
     TYPE_NORMAL = 265,
     TYPE_VECTOR = 266,
     TYPE_VOID = 267,
     TYPE_MATRIX = 268,
     TYPE_UNIFORM = 269,
     TYPE_VARYING = 270,
     SHADER_TYPE_SURFACE = 271,
     SHADER_TYPE_VOLUME = 272,
     SHADER_TYPE_IMAGER = 273,
     SHADER_TYPE_TRANSFORMATION = 274,
     SHADER_TYPE_DISPLACEMENT = 275,
     SHADER_TYPE_LIGHT = 276,
     SHADER_TYPE_ATMOSPHERE = 277,
     ATTRIBUTE = 278,
     OPTION = 279,
     RENDERERINFO = 280,
     INCIDENT = 281,
     OPPOSITE = 282,
     LIGHTSOURCE = 283,
     EXTERN = 284,
     TEXTUREINFO = 285,
     RAYINFO = 286,
     OUTPUT = 287,
     IF = 288,
     ELSE = 289,
     WHILE = 290,
     FOR = 291,
     CONTINUE = 292,
     BREAK = 293,
     RETURN = 294,
     ILLUMINATE = 295,
     ILLUMINANCE = 296,
     SOLAR = 297,
     GATHER = 298,
     TEXTUREMAP = 299,
     ENVIRONMENT = 300,
     BUMP = 301,
     SHADOW = 302,
     OCCLUSION = 303,
     SETXCOMP = 304,
     SETYCOMP = 305,
     SETZCOMP = 306,
     SETCOMP = 307,
     DIV_ASSIGN = 308,
     MUL_ASSIGN = 309,
     SUB_ASSIGN = 310,
     ADD_ASSIGN = 311,
     OR_OP = 312,
     AND_OP = 313,
     NE_OP = 314,
     EQ_OP = 315,
     LE_OP = 316,
     GE_OP = 317,
     NEG = 318,
     FLOAT_CONSTANT = 319,
     STRING_LITERAL = 320
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 71 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"

	CqParseNode::Pos m_Pos;
	CqParseNode*	m_pParseNode;
	TqInt			m_VarType;
	EqShaderType	m_ShaderType;
	TqFloat			m_FloatConst;
	CqString*	m_Identifier;
	struct{
		SqVarRef		VarRef;
		SqFuncRef		FuncRef;
		TqInt				eType;
	}				m_pSymbol;
	struct{
		TqInt				Type;
		CqString*	Space;
	}				m_TypeAndSpace;
	EqCommType		m_CommType;



/* Line 214 of yacc.c  */
#line 260 "/builddir/build/BUILD/aqsis-1.6.0/build/libs/slcomp/parse/parser.cpp"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif


/* Copy the second part of user declarations.  */

/* Line 264 of yacc.c  */
#line 90 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"

extern TqInt yylex();
static void yyerror(const CqString& Message);


/* Line 264 of yacc.c  */
#line 278 "/builddir/build/BUILD/aqsis-1.6.0/build/libs/slcomp/parse/parser.cpp"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  41
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2422

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  86
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  49
/* YYNRULES -- Number of rules.  */
#define YYNRULES  186
/* YYNRULES -- Number of states.  */
#define YYNSTATES  408

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   320

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    74,     2,     2,     2,     2,     2,     2,
      76,    77,    72,    68,    83,    69,    73,    71,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    59,    82,
      63,    53,    62,    58,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    84,     2,    85,    70,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    80,     2,    81,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    54,    55,
      56,    57,    60,    61,    64,    65,    66,    67,    75,    78,
      79
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     8,    10,    12,    13,    23,    33,
      42,    51,    52,    60,    61,    68,    72,    75,    79,    82,
      84,    86,    88,    90,    92,    94,    96,   100,   103,   106,
     110,   113,   117,   120,   122,   124,   128,   131,   133,   138,
     144,   148,   151,   153,   158,   164,   168,   171,   176,   178,
     182,   184,   186,   188,   190,   192,   194,   196,   198,   200,
     202,   205,   207,   210,   212,   215,   217,   220,   222,   225,
     227,   229,   231,   234,   237,   240,   243,   246,   250,   253,
     255,   258,   260,   261,   262,   268,   271,   273,   277,   281,
     287,   293,   297,   301,   311,   321,   326,   334,   340,   350,
     356,   364,   374,   386,   400,   416,   431,   448,   451,   453,
     455,   457,   459,   463,   467,   471,   475,   479,   483,   486,
     488,   494,   497,   499,   501,   503,   508,   510,   512,   514,
     516,   518,   522,   530,   564,   566,   568,   570,   572,   574,
     576,   580,   584,   588,   592,   595,   599,   603,   607,   611,
     615,   622,   629,   636,   643,   650,   655,   659,   664,   669,
     673,   675,   680,   682,   686,   688,   690,   692,   694,   696,
     699,   703,   705,   707,   709,   711,   713,   715,   717,   719,
     721,   723,   725,   727,   734,   743,   750
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
      87,     0,    -1,    88,    -1,    87,    88,    -1,    90,    -1,
      91,    -1,    -1,    95,     3,    89,    76,    96,    77,    80,
     113,    81,    -1,    95,     4,    89,    76,    96,    77,    80,
     113,    81,    -1,    95,     3,    89,    76,    77,    80,   113,
      81,    -1,    95,     4,    89,    76,    77,    80,   113,    81,
      -1,    -1,    94,    96,    77,    92,    80,   113,    81,    -1,
      -1,    94,    77,    93,    80,   113,    81,    -1,    99,     3,
      76,    -1,     3,    76,    -1,    99,     4,    76,    -1,     4,
      76,    -1,    21,    -1,    16,    -1,    17,    -1,    20,    -1,
      19,    -1,    18,    -1,    97,    -1,    96,    82,    97,    -1,
      96,    82,    -1,    99,   100,    -1,    32,    99,   100,    -1,
      99,   100,    -1,    29,    99,   100,    -1,   105,   106,    -1,
     106,    -1,   101,    -1,   100,    83,   101,    -1,     3,   102,
      -1,     3,    -1,     3,    84,   132,    85,    -1,     3,    84,
     132,    85,   103,    -1,     3,    84,    85,    -1,     4,   102,
      -1,     4,    -1,     4,    84,   132,    85,    -1,     4,    84,
     132,    85,   103,    -1,     4,    84,    85,    -1,    53,   120,
      -1,    53,    80,   104,    81,    -1,   120,    -1,   104,    83,
     120,    -1,    15,    -1,    14,    -1,     6,    -1,     8,    -1,
      12,    -1,   107,    -1,   108,    -1,   109,    -1,   110,    -1,
     111,    -1,     7,   112,    -1,     7,    -1,     9,   112,    -1,
       9,    -1,    11,   112,    -1,    11,    -1,    10,   112,    -1,
      10,    -1,    13,   112,    -1,    13,    -1,    79,    -1,   114,
      -1,   113,   114,    -1,   125,    82,    -1,   126,    82,    -1,
     127,    82,    -1,   134,    82,    -1,    39,   120,    82,    -1,
     118,    82,    -1,   117,    -1,    98,    82,    -1,    91,    -1,
      -1,    -1,    80,   115,   113,   116,    81,    -1,    80,    81,
      -1,    82,    -1,    33,   124,   114,    -1,    33,   120,   114,
      -1,    33,   124,   114,    34,   114,    -1,    33,   120,   114,
      34,   114,    -1,    35,   124,   114,    -1,    35,   120,   114,
      -1,    36,    76,   120,    82,   124,    82,   120,    77,   114,
      -1,    36,    76,   120,    82,   120,    82,   120,    77,   114,
      -1,    42,    76,    77,   114,    -1,    42,    76,   120,    83,
     120,    77,   114,    -1,    40,    76,   120,    77,   114,    -1,
      40,    76,   120,    83,   120,    83,   120,    77,   114,    -1,
      41,    76,   120,    77,   114,    -1,    41,    76,   120,    83,
     120,    77,   114,    -1,    41,    76,   120,    83,   120,    83,
     120,    77,   114,    -1,    41,    76,   120,    83,   120,    83,
     120,    83,   120,    77,   114,    -1,    43,    76,   120,    83,
     120,    83,   120,    83,   120,    83,   120,    77,   114,    -1,
      43,    76,   120,    83,   120,    83,   120,    83,   120,    83,
     120,    77,   114,    34,   114,    -1,    43,    76,   120,    83,
     120,    83,   120,    83,   120,    83,   120,   131,    77,   114,
      -1,    43,    76,   120,    83,   120,    83,   120,    83,   120,
      83,   120,   131,    77,   114,    34,   114,    -1,   119,   132,
      -1,   119,    -1,    38,    -1,    37,    -1,   122,    -1,   120,
      73,   120,    -1,   120,    71,   120,    -1,   120,    72,   120,
      -1,   120,    70,   120,    -1,   120,    68,   120,    -1,   120,
      69,   120,    -1,    69,   120,    -1,   121,    -1,   124,    58,
     120,    59,   120,    -1,   106,   120,    -1,   132,    -1,     4,
      -1,     5,    -1,     5,    84,   120,    85,    -1,    79,    -1,
     126,    -1,   127,    -1,   134,    -1,   125,    -1,    76,   120,
      77,    -1,    76,   120,    83,   120,    83,   120,    77,    -1,
      76,   120,    83,   120,    83,   120,    83,   120,    83,   120,
      83,   120,    83,   120,    83,   120,    83,   120,    83,   120,
      83,   120,    83,   120,    83,   120,    83,   120,    83,   120,
      83,   120,    77,    -1,    62,    -1,    67,    -1,    63,    -1,
      66,    -1,    65,    -1,    64,    -1,    76,   124,    77,    -1,
     120,   123,   120,    -1,   124,    61,   124,    -1,   124,    60,
     124,    -1,    74,   124,    -1,     4,    53,   120,    -1,     4,
      57,   120,    -1,     4,    56,   120,    -1,     4,    55,   120,
      -1,     4,    54,   120,    -1,     5,    84,   120,    85,    53,
     120,    -1,     5,    84,   120,    85,    57,   120,    -1,     5,
      84,   120,    85,    56,   120,    -1,     5,    84,   120,    85,
      55,   120,    -1,     5,    84,   120,    85,    54,   120,    -1,
       4,    76,   129,    77,    -1,     4,    76,    77,    -1,   130,
      76,   129,    77,    -1,     3,    76,   129,    77,    -1,     3,
      76,    77,    -1,   120,    -1,   120,    84,   120,    85,    -1,
     128,    -1,   129,    83,   128,    -1,    44,    -1,    45,    -1,
      46,    -1,    47,    -1,    48,    -1,    83,   120,    -1,   131,
      83,   120,    -1,    78,    -1,    22,    -1,    20,    -1,    28,
      -1,    16,    -1,    23,    -1,    24,    -1,    25,    -1,    26,
      -1,    27,    -1,    30,    -1,    31,    -1,   133,    76,   120,
      83,     4,    77,    -1,   133,    76,   120,    83,   120,    83,
       4,    77,    -1,   133,    76,   120,    83,     5,    77,    -1,
     133,    76,   120,    83,   120,    83,     5,    77,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   178,   178,   179,   184,   185,   190,   197,   210,   226,
     233,   247,   246,   292,   291,   320,   326,   332,   343,   357,
     360,   363,   366,   369,   372,   378,   391,   402,   406,   488,
     575,   664,   715,   719,   723,   729,   737,   746,   753,   760,
     769,   776,   790,   800,   810,   822,   835,   841,   856,   862,
     870,   871,   875,   879,   883,   887,   888,   889,   890,   891,
     895,   899,   906,   910,   917,   921,   928,   932,   939,   943,
     950,   954,   960,   968,   969,   977,   985,   990,  1011,  1012,
    1013,  1039,  1041,  1046,  1040,  1052,  1053,  1054,  1062,  1077,
    1086,  1105,  1111,  1123,  1138,  1159,  1165,  1179,  1188,  1204,
    1217,  1231,  1248,  1266,  1286,  1307,  1335,  1367,  1382,  1386,
    1390,  1398,  1399,  1410,  1421,  1432,  1443,  1454,  1465,  1475,
    1476,  1489,  1535,  1539,  1543,  1547,  1552,  1556,  1557,  1558,
    1559,  1560,  1563,  1571,  1595,  1596,  1597,  1598,  1599,  1600,
    1604,  1607,  1614,  1621,  1628,  1636,  1642,  1656,  1670,  1684,
    1698,  1705,  1723,  1741,  1759,  1780,  1790,  1798,  1814,  1836,
    1852,  1853,  1862,  1868,  1876,  1882,  1888,  1894,  1900,  1909,
    1915,  1924,  1929,  1930,  1931,  1932,  1933,  1934,  1935,  1936,
    1937,  1938,  1939,  1944,  1965,  1990,  2011
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENTIFIER", "SYMBOL", "ARRAY_SYMBOL",
  "TYPE_FLOAT", "TYPE_POINT", "TYPE_STRING", "TYPE_COLOR", "TYPE_NORMAL",
  "TYPE_VECTOR", "TYPE_VOID", "TYPE_MATRIX", "TYPE_UNIFORM",
  "TYPE_VARYING", "SHADER_TYPE_SURFACE", "SHADER_TYPE_VOLUME",
  "SHADER_TYPE_IMAGER", "SHADER_TYPE_TRANSFORMATION",
  "SHADER_TYPE_DISPLACEMENT", "SHADER_TYPE_LIGHT",
  "SHADER_TYPE_ATMOSPHERE", "ATTRIBUTE", "OPTION", "RENDERERINFO",
  "INCIDENT", "OPPOSITE", "LIGHTSOURCE", "EXTERN", "TEXTUREINFO",
  "RAYINFO", "OUTPUT", "IF", "ELSE", "WHILE", "FOR", "CONTINUE", "BREAK",
  "RETURN", "ILLUMINATE", "ILLUMINANCE", "SOLAR", "GATHER", "TEXTUREMAP",
  "ENVIRONMENT", "BUMP", "SHADOW", "OCCLUSION", "SETXCOMP", "SETYCOMP",
  "SETZCOMP", "SETCOMP", "'='", "DIV_ASSIGN", "MUL_ASSIGN", "SUB_ASSIGN",
  "ADD_ASSIGN", "'?'", "':'", "OR_OP", "AND_OP", "'>'", "'<'", "NE_OP",
  "EQ_OP", "LE_OP", "GE_OP", "'+'", "'-'", "'^'", "'/'", "'*'", "'.'",
  "'!'", "NEG", "'('", "')'", "FLOAT_CONSTANT", "STRING_LITERAL", "'{'",
  "'}'", "';'", "','", "'['", "']'", "$accept", "file", "definitions",
  "get_filepos", "shader_definition", "function_definition", "$@1", "$@2",
  "function_declaration", "shader_type", "formals",
  "formal_variable_definitions", "variable_definitions", "typespec",
  "def_expressions", "def_expression", "def_init",
  "def_array_initialisers", "array_initialisers", "detail", "type",
  "pspace", "cspace", "vspace", "nspace", "mspace", "spacetype",
  "statements", "statement", "$@3", "$@4", "loop_control", "loop_modstmt",
  "loop_mod", "expression", "cast_expr", "primary", "relational_operator",
  "relation", "assignexpression", "procedurecall", "unresolvedcall",
  "proc_argument", "proc_arguments", "texture_type", "texture_arguments",
  "number", "comm_type", "comm_function", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    61,   308,   309,   310,   311,    63,    58,
     312,   313,    62,    60,   314,   315,   316,   317,    43,    45,
      94,    47,    42,    46,    33,   318,    40,    41,   319,   320,
     123,   125,    59,    44,    91,    93
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    86,    87,    87,    88,    88,    89,    90,    90,    90,
      90,    92,    91,    93,    91,    94,    94,    94,    94,    95,
      95,    95,    95,    95,    95,    96,    96,    96,    97,    97,
      98,    98,    99,    99,   100,   100,   101,   101,   101,   101,
     101,   101,   101,   101,   101,   101,   102,   103,   104,   104,
     105,   105,   106,   106,   106,   106,   106,   106,   106,   106,
     107,   107,   108,   108,   109,   109,   110,   110,   111,   111,
     112,   113,   113,   114,   114,   114,   114,   114,   114,   114,
     114,   114,   115,   116,   114,   114,   114,   114,   114,   114,
     114,   117,   117,   117,   117,   117,   117,   117,   117,   117,
     117,   117,   117,   117,   117,   117,   117,   118,   118,   119,
     119,   120,   120,   120,   120,   120,   120,   120,   120,   120,
     120,   121,   122,   122,   122,   122,   122,   122,   122,   122,
     122,   122,   122,   122,   123,   123,   123,   123,   123,   123,
     124,   124,   124,   124,   124,   125,   125,   125,   125,   125,
     125,   125,   125,   125,   125,   126,   126,   126,   127,   127,
     128,   128,   129,   129,   130,   130,   130,   130,   130,   131,
     131,   132,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,   133,   134,   134,   134,   134
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     1,     1,     0,     9,     9,     8,
       8,     0,     7,     0,     6,     3,     2,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     2,     3,
       2,     3,     2,     1,     1,     3,     2,     1,     4,     5,
       3,     2,     1,     4,     5,     3,     2,     4,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     2,     1,     2,     1,     2,     1,     2,     1,
       1,     1,     2,     2,     2,     2,     2,     3,     2,     1,
       2,     1,     0,     0,     5,     2,     1,     3,     3,     5,
       5,     3,     3,     9,     9,     4,     7,     5,     9,     5,
       7,     9,    11,    13,    15,    14,    16,     2,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     2,     1,
       5,     2,     1,     1,     1,     4,     1,     1,     1,     1,
       1,     3,     7,    33,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     2,     3,     3,     3,     3,     3,
       6,     6,     6,     6,     6,     4,     3,     4,     4,     3,
       1,     4,     1,     3,     1,     1,     1,     1,     1,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     6,     8,     6,     8
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     0,     0,    52,    61,    53,    63,    67,    65,    54,
      69,    51,    50,    20,    21,    24,    23,    22,    19,     0,
       2,     4,     5,     0,     0,     0,     0,    33,    55,    56,
      57,    58,    59,    16,    18,    70,    60,    62,    66,    64,
      68,     1,     3,     0,    13,     0,    25,     0,     6,     6,
       0,     0,    32,     0,     0,    11,    27,    37,    42,    28,
      34,     0,     0,    15,    17,    29,     0,     0,    26,     0,
       0,    36,     0,    41,     0,     0,     0,     0,     0,     0,
     175,   173,   172,   176,   177,   178,   179,   180,   174,     0,
     181,   182,     0,     0,     0,   110,   109,     0,     0,     0,
       0,     0,   164,   165,   166,   167,   168,    82,    86,    81,
       0,     0,     0,    71,    79,     0,   108,     0,     0,     0,
       0,     0,     0,     0,     0,   123,   124,     0,     0,     0,
     171,   126,     0,    46,   119,   111,     0,   130,   127,   128,
     122,   129,    40,     0,    45,     0,    35,     0,     0,     0,
       0,    16,     0,     0,     0,     0,     0,    18,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      85,     0,    80,    37,    42,    30,    14,    72,    78,   107,
      73,    74,    75,     0,     0,    76,     0,     0,     0,     0,
     118,     0,   144,     0,     0,   121,   134,   136,   139,   138,
     137,   135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    38,    43,     0,     0,     0,     0,   159,   160,
     162,     0,   145,   149,   148,   147,   146,   156,     0,     0,
      31,    88,    87,    92,    91,     0,    77,     0,     0,     0,
       0,     0,    83,     0,     0,    12,     0,   131,     0,   140,
     116,   117,   115,   113,   114,   112,   141,     0,   143,   142,
       0,    39,    44,     0,     0,     0,     0,     0,   158,     0,
     155,     0,     0,     0,     0,     0,     0,     0,     0,    95,
       0,     0,     0,   157,     0,   125,     0,     0,     0,     9,
       0,    10,     0,     0,   163,     0,     0,     0,     0,     0,
      90,    89,     0,     0,    97,     0,    99,     0,     0,     0,
      84,   123,   124,     0,     0,   120,     0,    48,     7,     8,
     161,   150,   154,   153,   152,   151,     0,     0,     0,     0,
       0,     0,     0,   183,   185,     0,     0,    47,     0,     0,
       0,     0,   100,     0,    96,     0,     0,     0,   132,     0,
      49,     0,     0,     0,     0,     0,     0,   184,   186,     0,
      94,    93,    98,   101,     0,     0,     0,     0,     0,     0,
     102,     0,     0,     0,     0,     0,     0,   103,   169,     0,
       0,     0,     0,   105,   170,     0,   104,     0,     0,   106,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    19,    20,    61,    21,   109,    67,    54,    23,    24,
      45,    46,   110,   111,    59,    60,    71,   261,   316,    26,
     132,    28,    29,    30,    31,    32,    36,   112,   113,   171,
     282,   114,   115,   116,   219,   134,   135,   208,   136,   137,
     138,   139,   220,   221,   120,   375,   140,   121,   141
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -144
static const yytype_int16 yypact[] =
{
    2401,   -55,   -46,  -144,   -26,  -144,   -26,   -26,   -26,  -144,
     -26,  -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,  1926,
    -144,  -144,  -144,    93,     3,    14,   463,  -144,  -144,  -144,
    -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,
    -144,  -144,  -144,   222,  -144,     5,  -144,    46,  -144,  -144,
     -12,    -3,  -144,    46,    11,  -144,   181,   -38,   -37,    26,
    -144,    17,    21,  -144,  -144,    26,  1495,    31,  -144,  1772,
     -58,  -144,   -30,  -144,    46,   120,   166,    42,    60,     2,
    -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,   222,
    -144,  -144,  1772,  1772,    48,  -144,  -144,  1772,    69,    74,
      89,   124,  -144,  -144,  -144,  -144,  -144,    41,  -144,  -144,
     100,   165,  1117,  -144,  -144,   133,   147,   144,   156,   159,
     180,   184,   179,  1495,   192,   164,   185,  1772,  1772,  1772,
    -144,  -144,  1772,   963,  -144,  -144,   106,  -144,  -144,  -144,
    -144,  -144,  -144,   186,  -144,   189,  -144,   190,     6,   196,
      13,  1772,  1772,  1772,  1772,  1772,  1772,  1772,  1772,    46,
     976,  1056,   976,  1056,  1772,  2282,  1772,  1772,  1541,  1772,
    -144,  1495,  -144,   -42,   -40,    26,  -144,  -144,  -144,  -144,
    -144,  -144,  -144,  1772,  1772,  -144,  1180,  1618,  1695,  1772,
    -144,   963,  -144,   512,   -36,  -144,  -144,  -144,  -144,  -144,
    -144,  -144,  1772,  1772,  1772,  1772,  1772,  1772,  1772,  1772,
    1772,  1772,   225,   225,  1495,   199,  1495,   200,  -144,   293,
    -144,   -48,   963,   963,   963,   963,   963,  -144,   -44,   139,
      26,   247,   253,  -144,  -144,  2303,  -144,   775,   863,  1495,
     607,  1819,  1495,   -14,  1841,  -144,   182,  -144,  1772,  -144,
      83,    83,    86,   216,   216,  -144,   963,   703,   230,  -144,
     213,  -144,  -144,  1243,  1495,  1306,  1495,  1772,  -144,  1772,
    -144,    84,  1495,  1495,  1772,  1495,  1772,  1495,  1772,  -144,
    1772,  1772,   214,  -144,  1849,    84,  1886,  1772,  1772,  -144,
    1369,  -144,  1432,   238,  -144,  1772,  1772,  1772,  1772,  1772,
    -144,  -144,  2324,    10,  -144,  1908,  -144,  1528,  1104,  1930,
    -144,     4,   -10,  1952,  1772,   963,    -4,   963,  -144,  -144,
    -144,   963,   963,   963,   963,   963,  1772,  1772,  1772,  1495,
    1772,  1495,  1772,  -144,  -144,   138,  1605,  -144,  1772,  1167,
    1230,  1293,  -144,  1682,  -144,  1974,   235,   236,  -144,  1772,
     963,  1495,  1495,  1495,  1495,  1772,  1772,  -144,  -144,  1996,
    -144,  -144,  -144,  -144,  1356,  2018,  1772,  1495,  1772,  2040,
    -144,  1759,  1772,  1495,  1772,    -5,  2062,   281,   963,  1495,
    1772,  1772,  1495,   282,   963,  2084,  -144,  1495,  1772,  -144,
    2106,  1772,  2128,  1772,  2150,  1772,  2172,  1772,  2194,  1772,
    2216,  1772,  2238,  1772,  2260,  1772,  1419,  -144
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -144,  -144,   298,   269,  -144,    12,  -144,  -144,  -144,  -144,
     109,   264,  -144,     9,   -49,   248,   -53,   108,  -144,  -144,
       0,  -144,  -144,  -144,  -144,  -144,   141,  -120,   591,  -144,
    -144,  -144,  -144,  -144,   130,  -144,  -144,  -144,   -91,   277,
     376,   449,    55,  -143,  -144,  -144,   -62,  -144,   522
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1
static const yytype_uint16 yytable[] =
{
      27,   161,   163,   186,    65,    73,    48,    49,   143,    25,
     145,    69,    22,    69,   228,    69,    69,    50,    51,    27,
     130,    33,   209,    27,   210,   211,    52,   142,    25,   268,
      34,    22,    47,   270,    63,   269,    64,   192,   194,   269,
     243,   249,    70,    27,    72,   228,    70,    72,   130,    57,
      58,   242,    53,    35,   179,   144,    27,   152,   153,   154,
     155,   156,   175,   283,    63,    47,    27,   334,   209,   269,
     210,   211,   379,    64,   189,    27,    27,   337,   380,   338,
     188,   333,    55,   215,    47,    47,   158,    56,    56,    27,
     217,    66,   327,    75,   263,    56,   265,    76,   159,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    74,
     230,   123,    27,   152,   153,   154,   155,   156,   151,   258,
     259,    73,   170,    27,   164,    43,     3,     4,     5,     6,
       7,     8,     9,    10,    11,    12,   157,   295,   296,   297,
     298,   299,   346,   347,   290,   166,   292,    37,    38,    39,
     167,    40,    43,   204,   205,   206,   207,   205,   206,   207,
      27,    27,    27,    27,   209,   168,   210,   211,   173,   174,
      44,    27,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,   172,   303,   148,   150,    27,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,   147,    43,   133,
     169,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    43,    27,   178,    27,   152,   153,   154,
     155,   156,   160,   162,   271,   130,   180,   165,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,   181,    27,
     188,   182,    27,   149,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   183,   190,   191,   193,
     184,   185,   195,    27,    27,    27,    27,   285,   187,   189,
     214,   212,    27,    27,   213,    27,   216,    27,   260,   264,
     266,   272,   222,   223,   224,   225,   226,   273,   229,   207,
      27,   211,    27,   288,   235,   310,   237,   238,   240,   241,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   357,   358,   244,   382,   387,    42,    62,   246,
      68,   262,   146,   320,   294,     0,     0,     0,     0,    27,
       0,    27,   250,   251,   252,   253,   254,   255,   256,   257,
     191,   191,     0,   117,     0,     0,     0,     0,     0,     0,
       0,    27,    27,    27,    27,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    27,     0,     0,
       0,     0,     0,    27,     0,     0,     0,   267,   286,    27,
       0,     0,    27,     0,     0,     0,     0,    27,     0,   117,
       0,     0,     0,     0,     0,     0,     0,   293,     0,     0,
     117,     0,     0,     0,   302,     0,   305,     0,   307,     0,
     308,   309,     0,     0,   313,     0,     0,   315,   317,     0,
       0,     0,     0,     0,     0,   321,   322,   323,   324,   325,
       0,     0,     0,     0,     0,     0,     0,   117,   117,   117,
     117,     0,   118,     0,   336,     0,     0,     0,   117,     0,
       0,     0,     0,     0,     0,     0,   339,   340,   341,     0,
     343,     0,   345,   117,     0,     0,     0,     0,   350,     3,
       4,     5,     6,     7,     8,     9,    10,     0,     0,   359,
       0,     0,     0,     0,     0,   364,   365,     0,   118,     0,
       0,   117,     0,   117,     0,     0,   369,     0,   371,   118,
       0,     0,   376,     0,   378,     0,     0,     0,     0,     0,
     384,   385,     0,     0,     0,   119,   117,     0,   390,   117,
       0,   392,     0,   394,     0,   396,     0,   398,     0,   400,
       0,   402,     0,   404,     0,   406,   118,   118,   118,   118,
     117,   117,   117,   117,     0,     0,     0,   118,     0,   117,
     117,     0,   117,     0,   117,     0,     0,     0,     0,     0,
       0,   119,   118,     0,     0,     0,     0,   117,     0,   117,
       0,     0,   119,     0,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,     0,     0,   122,   247,
     118,     0,   118,     0,     0,   248,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   117,     0,   117,   119,
     119,   119,   119,     0,     0,   118,     0,     0,   118,     0,
     119,     0,     0,     0,     0,     0,     0,     0,   117,   117,
     117,   117,     0,     0,   122,   119,     0,     0,     0,   118,
     118,   118,   118,     0,   117,   122,     0,     0,   118,   118,
     117,   118,     0,   118,     0,     0,   117,     0,     0,   117,
       0,     0,     0,   119,   117,   119,   118,     0,   118,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   122,   122,   122,   122,     0,     0,   119,     0,
     280,   119,     0,   122,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   177,     0,   118,     0,   118,   122,     0,
       0,     0,   119,   119,   119,   119,     0,     0,     0,     0,
       0,   119,   119,     0,   119,     0,   119,   118,   118,   118,
     118,     0,     0,     0,     0,     0,   122,     0,   122,   119,
       0,   119,     0,   118,     0,     0,     0,     0,     0,   118,
       0,   231,   232,   233,   234,   118,     0,     0,   118,     0,
       0,   122,   287,   118,   122,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   177,   119,     0,
     119,     0,     0,     0,     0,   122,   122,   122,   122,     0,
       0,     0,     0,     0,   122,   122,     0,   122,     0,   122,
     119,   119,   119,   119,     0,     0,     0,     0,     0,     0,
       0,     0,   122,     0,   122,     0,   119,     0,     0,     0,
       0,     0,   119,     0,     0,     0,     0,     0,   119,     0,
     279,   119,     0,   177,     0,     0,   119,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,     0,
       0,   122,   275,   122,   177,     0,   177,     0,   276,     0,
       0,     0,     0,   300,   301,     0,   304,     0,   306,     0,
       0,     0,     0,   122,   122,   122,   122,     0,     0,     0,
       0,   177,     0,   177,     0,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,   122,     0,     0,   122,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     342,     0,   344,     0,     0,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,     0,     0,     0,
     277,     0,   360,   361,   362,   363,   278,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   370,     0,
       0,     0,     0,     0,   377,     0,     0,     0,     0,     0,
     383,     0,     0,   386,     0,     0,     0,     0,   389,    77,
      78,    79,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    80,     0,     0,     0,    81,     0,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,     0,    92,
       0,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
       0,     0,     0,     0,     0,     0,   107,     0,   108,    77,
      78,    79,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    80,     0,     0,     0,    81,     0,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,     0,    92,
       0,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,   210,   211,     0,     0,
      77,    78,    79,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    80,     0,     0,   107,    81,   108,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,     0,
      92,     0,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,     0,     0,
       0,   331,     0,    77,    78,    79,     3,     4,     5,     6,
       7,     8,     9,    10,    11,    12,    80,   107,   176,   108,
      81,     0,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,     0,    92,     0,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,     0,     0,     0,   351,     0,    77,    78,    79,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    80,
     107,   245,   108,    81,     0,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,     0,    92,     0,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,     0,     0,     0,   352,     0,    77,
      78,    79,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    80,   107,   289,   108,    81,     0,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,     0,    92,
       0,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,     0,     0,     0,
     353,     0,    77,    78,    79,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    80,   107,   291,   108,    81,
       0,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,     0,    92,     0,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
       0,     0,     0,   367,     0,    77,    78,    79,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    80,   107,
     318,   108,    81,     0,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,     0,    92,     0,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,     0,     0,     0,   407,     0,    77,    78,
      79,     3,     4,     5,     6,     7,     8,     9,    10,    11,
      12,    80,   107,   319,   108,    81,     0,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,     0,    92,     0,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   124,   125,   126,     3,     4,     5,
       6,     7,     8,     9,    10,     0,     0,    80,     0,     0,
       0,    81,     0,    82,    83,    84,    85,    86,    87,    88,
       0,    90,    91,     0,     0,   107,     0,   108,     0,     0,
       0,     0,     0,     0,     0,   102,   103,   104,   105,   106,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,     0,     0,     0,   329,     0,     0,     0,     0,
     127,   330,     0,     0,     0,   128,     0,   129,   239,   130,
     131,   124,   125,   126,     3,     4,     5,     6,     7,     8,
       9,    10,     0,     0,    80,     0,     0,     0,    81,     0,
      82,    83,    84,    85,    86,    87,    88,     0,    90,    91,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   102,   103,   104,   105,   106,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,     0,
       0,     0,   348,     0,     0,     0,     0,   127,   349,     0,
       0,     0,   128,     0,   129,   218,   130,   131,   124,   125,
     126,     3,     4,     5,     6,     7,     8,     9,    10,     0,
       0,    80,     0,     0,     0,    81,     0,    82,    83,    84,
      85,    86,    87,    88,     0,    90,    91,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   102,
     103,   104,   105,   106,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,     0,     0,     0,   354,
       0,     0,     0,     0,   127,   355,     0,     0,     0,   128,
       0,   129,   227,   130,   131,   124,   125,   126,     3,     4,
       5,     6,     7,     8,     9,    10,     0,     0,    80,     0,
       0,     0,    81,     0,    82,    83,    84,    85,    86,    87,
      88,     0,    90,    91,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   102,   103,   104,   105,
     106,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,     0,     0,     0,   373,     0,     0,     0,
       0,   127,   374,     0,     0,     0,   128,     0,   129,     0,
     130,   131,   124,   311,   312,     3,     4,     5,     6,     7,
       8,     9,    10,     0,     0,    80,     0,     0,     0,    81,
       0,    82,    83,    84,    85,    86,    87,    88,     0,    90,
      91,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   102,   103,   104,   105,   106,     0,     0,
       0,     0,   281,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,     0,     0,     0,   127,     0,
       0,     0,     0,   128,   284,   129,    41,   130,   131,     1,
       2,     0,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   314,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   328,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   332,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   335,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   356,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   366,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   368,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   372,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   381,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   388,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   391,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   393,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   395,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   397,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   399,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   401,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   403,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   405,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,     0,     0,     0,
       0,     0,     0,     0,     0,   274,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,     0,     0,
       0,     0,     0,     0,     1,     2,   326,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18
};

static const yytype_int16 yycheck[] =
{
       0,    92,    93,   123,    53,    58,     3,     4,    70,     0,
      72,    53,     0,    53,   157,    53,    53,     3,     4,    19,
      78,    76,    58,    23,    60,    61,    26,    85,    19,    77,
      76,    19,    23,    77,    76,    83,    76,   128,   129,    83,
     183,    77,    84,    43,    84,   188,    84,    84,    78,     3,
       4,   171,    43,    79,   116,    85,    56,    53,    54,    55,
      56,    57,   111,    77,    76,    56,    66,    77,    58,    83,
      60,    61,    77,    76,    84,    75,    76,    81,    83,    83,
      76,    77,    77,    77,    75,    76,    84,    82,    82,    89,
      77,    80,    82,    76,   214,    82,   216,    76,    89,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    83,
     159,    80,   112,    53,    54,    55,    56,    57,    76,   210,
     211,   174,    81,   123,    76,    32,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    76,    53,    54,    55,
      56,    57,     4,     5,   264,    76,   266,     6,     7,     8,
      76,    10,    32,    70,    71,    72,    73,    71,    72,    73,
     160,   161,   162,   163,    58,    76,    60,    61,     3,     4,
      77,   171,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    82,   274,    75,    76,   186,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    77,    32,    69,
      76,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    32,   214,    82,   216,    53,    54,    55,
      56,    57,    92,    93,    85,    78,    82,    97,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    82,   239,
      76,    82,   242,    77,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    76,   127,   128,   129,
      76,    82,   132,   263,   264,   265,   266,    85,    76,    84,
      80,    85,   272,   273,    85,   275,    80,   277,    53,    80,
      80,    34,   152,   153,   154,   155,   156,    34,   158,    73,
     290,    61,   292,    80,   164,    81,   166,   167,   168,   169,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    77,    77,   184,    34,    34,    19,    49,   189,
      56,   213,    74,    85,   269,    -1,    -1,    -1,    -1,   329,
      -1,   331,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   351,   352,   353,   354,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,   367,    -1,    -1,
      -1,    -1,    -1,   373,    -1,    -1,    -1,    84,   248,   379,
      -1,    -1,   382,    -1,    -1,    -1,    -1,   387,    -1,   112,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   267,    -1,    -1,
     123,    -1,    -1,    -1,   274,    -1,   276,    -1,   278,    -1,
     280,   281,    -1,    -1,   284,    -1,    -1,   287,   288,    -1,
      -1,    -1,    -1,    -1,    -1,   295,   296,   297,   298,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,   161,   162,
     163,    -1,    66,    -1,   314,    -1,    -1,    -1,   171,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   326,   327,   328,    -1,
     330,    -1,   332,   186,    -1,    -1,    -1,    -1,   338,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    -1,   349,
      -1,    -1,    -1,    -1,    -1,   355,   356,    -1,   112,    -1,
      -1,   214,    -1,   216,    -1,    -1,   366,    -1,   368,   123,
      -1,    -1,   372,    -1,   374,    -1,    -1,    -1,    -1,    -1,
     380,   381,    -1,    -1,    -1,    66,   239,    -1,   388,   242,
      -1,   391,    -1,   393,    -1,   395,    -1,   397,    -1,   399,
      -1,   401,    -1,   403,    -1,   405,   160,   161,   162,   163,
     263,   264,   265,   266,    -1,    -1,    -1,   171,    -1,   272,
     273,    -1,   275,    -1,   277,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   186,    -1,    -1,    -1,    -1,   290,    -1,   292,
      -1,    -1,   123,    -1,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    66,    77,
     214,    -1,   216,    -1,    -1,    83,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,   331,   160,
     161,   162,   163,    -1,    -1,   239,    -1,    -1,   242,    -1,
     171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,   352,
     353,   354,    -1,    -1,   112,   186,    -1,    -1,    -1,   263,
     264,   265,   266,    -1,   367,   123,    -1,    -1,   272,   273,
     373,   275,    -1,   277,    -1,    -1,   379,    -1,    -1,   382,
      -1,    -1,    -1,   214,   387,   216,   290,    -1,   292,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    -1,   160,   161,   162,   163,    -1,    -1,   239,    -1,
      83,   242,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,    -1,   329,    -1,   331,   186,    -1,
      -1,    -1,   263,   264,   265,   266,    -1,    -1,    -1,    -1,
      -1,   272,   273,    -1,   275,    -1,   277,   351,   352,   353,
     354,    -1,    -1,    -1,    -1,    -1,   214,    -1,   216,   290,
      -1,   292,    -1,   367,    -1,    -1,    -1,    -1,    -1,   373,
      -1,   160,   161,   162,   163,   379,    -1,    -1,   382,    -1,
      -1,   239,    59,   387,   242,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,   186,   329,    -1,
     331,    -1,    -1,    -1,    -1,   263,   264,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,   273,    -1,   275,    -1,   277,
     351,   352,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   290,    -1,   292,    -1,   367,    -1,    -1,    -1,
      -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,   379,    -1,
     239,   382,    -1,   242,    -1,    -1,   387,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    -1,
      -1,   329,    77,   331,   263,    -1,   265,    -1,    83,    -1,
      -1,    -1,    -1,   272,   273,    -1,   275,    -1,   277,    -1,
      -1,    -1,    -1,   351,   352,   353,   354,    -1,    -1,    -1,
      -1,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,   367,
      -1,    -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,
      -1,   379,    -1,    -1,   382,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,    -1,   331,    -1,    -1,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    -1,   351,   352,   353,   354,    83,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,
      -1,    -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,    -1,
     379,    -1,    -1,   382,    -1,    -1,    -1,    -1,   387,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    -1,    20,    -1,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    33,
      -1,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    -1,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    -1,    -1,    -1,    20,    -1,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    33,
      -1,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    58,    -1,    60,    61,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    80,    20,    82,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      33,    -1,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    80,    81,    82,
      20,    -1,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    33,    -1,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      80,    81,    82,    20,    -1,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    33,    -1,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    80,    81,    82,    20,    -1,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    33,
      -1,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    80,    81,    82,    20,
      -1,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    33,    -1,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    80,
      81,    82,    20,    -1,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    33,    -1,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    80,    81,    82,    20,    -1,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    33,    -1,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,     3,     4,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    -1,    16,    -1,    -1,
      -1,    20,    -1,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    -1,    -1,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    44,    45,    46,    47,    48,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,
      69,    83,    -1,    -1,    -1,    74,    -1,    76,    77,    78,
      79,     3,     4,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    -1,    16,    -1,    -1,    -1,    20,    -1,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    44,    45,    46,    47,    48,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    -1,    -1,    -1,    -1,    69,    83,    -1,
      -1,    -1,    74,    -1,    76,    77,    78,    79,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      -1,    16,    -1,    -1,    -1,    20,    -1,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,
      45,    46,    47,    48,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      -1,    -1,    -1,    -1,    69,    83,    -1,    -1,    -1,    74,
      -1,    76,    77,    78,    79,     3,     4,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    -1,    16,    -1,
      -1,    -1,    20,    -1,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    44,    45,    46,    47,
      48,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    -1,    -1,    -1,
      -1,    69,    83,    -1,    -1,    -1,    74,    -1,    76,    -1,
      78,    79,     3,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    -1,    16,    -1,    -1,    -1,    20,
      -1,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    44,    45,    46,    47,    48,    -1,    -1,
      -1,    -1,    83,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    69,    -1,
      -1,    -1,    -1,    74,    83,    76,     0,    78,    79,     3,
       4,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    83,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    82,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    82,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,    82,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     3,     4,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    87,
      88,    90,    91,    94,    95,    99,   105,   106,   107,   108,
     109,   110,   111,    76,    76,    79,   112,   112,   112,   112,
     112,     0,    88,    32,    77,    96,    97,    99,     3,     4,
       3,     4,   106,    99,    93,    77,    82,     3,     4,   100,
     101,    89,    89,    76,    76,   100,    80,    92,    97,    53,
      84,   102,    84,   102,    83,    76,    76,     3,     4,     5,
      16,    20,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    33,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    80,    82,    91,
      98,    99,   113,   114,   117,   118,   119,   125,   126,   127,
     130,   133,   134,    80,     3,     4,     5,    69,    74,    76,
      78,    79,   106,   120,   121,   122,   124,   125,   126,   127,
     132,   134,    85,   132,    85,   132,   101,    77,    96,    77,
      96,    76,    53,    54,    55,    56,    57,    76,    84,    99,
     120,   124,   120,   124,    76,   120,    76,    76,    76,    76,
      81,   115,    82,     3,     4,   100,    81,   114,    82,   132,
      82,    82,    82,    76,    76,    82,   113,    76,    76,    84,
     120,   120,   124,   120,   124,   120,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,   123,    58,
      60,    61,    85,    85,    80,    77,    80,    77,    77,   120,
     128,   129,   120,   120,   120,   120,   120,    77,   129,   120,
     100,   114,   114,   114,   114,   120,    82,   120,   120,    77,
     120,   120,   113,   129,   120,    81,   120,    77,    83,    77,
     120,   120,   120,   120,   120,   120,   120,   120,   124,   124,
      53,   103,   103,   113,    80,   113,    80,    84,    77,    83,
      77,    85,    34,    34,    82,    77,    83,    77,    83,   114,
      83,    83,   116,    77,    83,    85,   120,    59,    80,    81,
     113,    81,   113,   120,   128,    53,    54,    55,    56,    57,
     114,   114,   120,   124,   114,   120,   114,   120,   120,   120,
      81,     4,     5,   120,    83,   120,   104,   120,    81,    81,
      85,   120,   120,   120,   120,   120,    82,    82,    83,    77,
      83,    77,    83,    77,    77,    83,   120,    81,    83,   120,
     120,   120,   114,   120,   114,   120,     4,     5,    77,    83,
     120,    77,    77,    77,    77,    83,    83,    77,    77,   120,
     114,   114,   114,   114,   120,   120,    83,    77,    83,   120,
     114,   120,    83,    77,    83,   131,   120,   114,   120,    77,
      83,    83,    34,   114,   120,   120,   114,    34,    83,   114,
     120,    83,   120,    83,   120,    83,   120,    83,   120,    83,
     120,    83,   120,    83,   120,    83,   120,    77
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1464 of yacc.c  */
#line 178 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {ParseTreePointer=(yyvsp[(1) - (1)].m_pParseNode);;}
    break;

  case 3:

/* Line 1464 of yacc.c  */
#line 180 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {ParseTreePointer->AddLastChild((yyvsp[(2) - (2)].m_pParseNode));;}
    break;

  case 6:

/* Line 1464 of yacc.c  */
#line 190 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
			(yyval.m_Pos).m_LineNo = ParseLineNumber;
			(yyval.m_Pos).m_strFileName = ParseStreamName.c_str();
		;}
    break;

  case 7:

/* Line 1464 of yacc.c  */
#line 198 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Store a pointer to the actual shader.
								(yyval.m_pParseNode)=new CqParseNodeShader((yyvsp[(2) - (9)].m_Identifier)->c_str(),(yyvsp[(1) - (9)].m_ShaderType));
								(yyval.m_pParseNode)->SetPos((yyvsp[(3) - (9)].m_Pos));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(8) - (9)].m_pParseNode));

								// Now copy any initialisers from the formals list to their respective
								// local variable definitions.
								CqParseNode* pArgs=(yyvsp[(5) - (9)].m_pParseNode);
								ProcessShaderArguments( pArgs );
								(yyval.m_pParseNode)->AddLastChild( (yyvsp[(5) - (9)].m_pParseNode) );
							;}
    break;

  case 8:

/* Line 1464 of yacc.c  */
#line 211 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Store a pointer to the actual shader.
								CqString strName;
								if((yyvsp[(2) - (9)].m_pSymbol).eType&1)	strName=CqVarDef::GetVariablePtr((yyvsp[(2) - (9)].m_pSymbol).VarRef)->strName();
								else			strName=CqFuncDef::GetFunctionPtr((yyvsp[(2) - (9)].m_pSymbol).FuncRef)->strName();
								(yyval.m_pParseNode)=new CqParseNodeShader(strName.c_str(),(yyvsp[(1) - (9)].m_ShaderType));
								(yyval.m_pParseNode)->SetPos((yyvsp[(3) - (9)].m_Pos));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(8) - (9)].m_pParseNode));

								// Now copy any initialisers from the formals list to their respective
								// local variable definitions.
								CqParseNode* pArgs=(yyvsp[(5) - (9)].m_pParseNode);
								ProcessShaderArguments( pArgs );
								(yyval.m_pParseNode)->AddLastChild( (yyvsp[(5) - (9)].m_pParseNode) );
							;}
    break;

  case 9:

/* Line 1464 of yacc.c  */
#line 227 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Store a pointer to the actual shader.
								(yyval.m_pParseNode)=new CqParseNodeShader((yyvsp[(2) - (8)].m_Identifier)->c_str(), (yyvsp[(1) - (8)].m_ShaderType));
								(yyval.m_pParseNode)->SetPos((yyvsp[(3) - (8)].m_Pos));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(7) - (8)].m_pParseNode));
							;}
    break;

  case 10:

/* Line 1464 of yacc.c  */
#line 234 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Store a pointer to the actual shader.
								CqString strName;
								if((yyvsp[(2) - (8)].m_pSymbol).eType&1)	strName=CqVarDef::GetVariablePtr((yyvsp[(2) - (8)].m_pSymbol).VarRef)->strName();
								else			strName=CqFuncDef::GetFunctionPtr((yyvsp[(2) - (8)].m_pSymbol).FuncRef)->strName();
								(yyval.m_pParseNode)=new CqParseNodeShader(strName.c_str(),(yyvsp[(1) - (8)].m_ShaderType));
								(yyval.m_pParseNode)->SetPos((yyvsp[(3) - (8)].m_Pos));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(7) - (8)].m_pParseNode));
							;}
    break;

  case 11:

/* Line 1464 of yacc.c  */
#line 247 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Push a new level onto the return count stack.
								functionReturnCountStack.push(0);
								currentFunctionStack.push(static_cast<CqParseNodeDeclaration*>((yyvsp[(1) - (3)].m_pParseNode)));
							;}
    break;

  case 12:

/* Line 1464 of yacc.c  */
#line 253 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNodeDeclaration* pDecl=static_cast<CqParseNodeDeclaration*>((yyvsp[(1) - (7)].m_pParseNode));

								// If no return/or multiple returns, then this is not a valid function.
								if(pDecl->Type() != Type_Void &&
								    functionReturnCountStack.top() != 1)
									yyerror("Must have one return in function");
								
								// Make a string of the parameter types.
								CqParseNode* pArgs=(yyvsp[(2) - (7)].m_pParseNode);
								CqString strArgTypes("");
								if(pArgs)
								{
									// Each child of the variable_definitions is a CqParseNodeVariable
									CqParseNodeVariable* pVar=static_cast<CqParseNodeVariable*>(pArgs->pFirstChild());
									while(pVar)
									{
										// If storage is not specified, a function parameter defaults to varying.
										pVar->SetDefaultStorage(Type_Varying);
										// Get the type from the variable
										strArgTypes+=CqParseNode::TypeIdentifier(pVar->ResType());
										// TODO: Find out if local function arguments can have default values.
										// If so, they can be found as the child of pVar.
										pVar=static_cast<CqParseNodeVariable*>(pVar->pNext());
									}
								}

								// Add the function declaration to the list of local functions.
								CqFuncDef funcdef(pDecl->Type(), pDecl->strName(), pDecl->strName(), strArgTypes.c_str(), (yyvsp[(6) - (7)].m_pParseNode), pArgs);
								CqFuncDef::AddFunction(funcdef);
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								delete(pDecl);
								// Function level namespace is now defunct.
								popScope();
								functionReturnCountStack.pop();
								currentFunctionStack.pop();
							;}
    break;

  case 13:

/* Line 1464 of yacc.c  */
#line 292 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Push a new level onto the functionReturnCountStack.
								functionReturnCountStack.push(0);
								currentFunctionStack.push(static_cast<CqParseNodeDeclaration*>((yyvsp[(1) - (2)].m_pParseNode)));
							;}
    break;

  case 14:

/* Line 1464 of yacc.c  */
#line 298 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNodeDeclaration* pDecl=static_cast<CqParseNodeDeclaration*>((yyvsp[(1) - (6)].m_pParseNode));

								// If no return/or multiple returns, then this is not a valid function.
								if(pDecl->Type() != Type_Void &&
								    functionReturnCountStack.top() != 1)
									yyerror("Must have one return in function");

								// Add the function declaration to the list of local functions.
								CqFuncDef funcdef(pDecl->Type(), pDecl->strName(), pDecl->strName(), "", (yyvsp[(5) - (6)].m_pParseNode), 0);
								CqFuncDef::AddFunction(funcdef);
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								delete(pDecl);
								// Function level namespace is now defunct.
								popScope();
								functionReturnCountStack.pop();
								currentFunctionStack.pop();
							;}
    break;

  case 15:

/* Line 1464 of yacc.c  */
#line 320 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeDeclaration((strNameSpace()+*(yyvsp[(2) - (3)].m_Identifier)).c_str(),(yyvsp[(1) - (3)].m_TypeAndSpace).Type);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								// Store the name of the function being defined for use in variable namespacing.
								pushScope(*(yyvsp[(2) - (3)].m_Identifier),true);
							;}
    break;

  case 16:

/* Line 1464 of yacc.c  */
#line 326 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	
								(yyval.m_pParseNode)=new CqParseNodeDeclaration((strNameSpace()+*(yyvsp[(1) - (2)].m_Identifier)).c_str(),Type_Void);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								// Store the name of the function being defined for use in variable namespacing.
								pushScope(*(yyvsp[(1) - (2)].m_Identifier),true);
							;}
    break;

  case 17:

/* Line 1464 of yacc.c  */
#line 332 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// TODO: Should warn about duplicate declarations.
								CqString strName(strNameSpace());
								if((yyvsp[(2) - (3)].m_pSymbol).eType&1)	strName+=CqVarDef::GetVariablePtr((yyvsp[(2) - (3)].m_pSymbol).VarRef)->strName();
								else			strName+=CqFuncDef::GetFunctionPtr((yyvsp[(2) - (3)].m_pSymbol).FuncRef)->strName();

								(yyval.m_pParseNode)=new CqParseNodeDeclaration(strName.c_str(),(yyvsp[(1) - (3)].m_TypeAndSpace).Type);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								// Store the name of the function being defined for use in variable namespacing.
								pushScope(strName,true);
							;}
    break;

  case 18:

/* Line 1464 of yacc.c  */
#line 343 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	
								// TODO: Should warn about duplicate declarations.
								CqString strName(strNameSpace());
								if((yyvsp[(1) - (2)].m_pSymbol).eType&1)	strName+=CqVarDef::GetVariablePtr((yyvsp[(1) - (2)].m_pSymbol).VarRef)->strName();
								else			strName+=CqFuncDef::GetFunctionPtr((yyvsp[(1) - (2)].m_pSymbol).FuncRef)->strName();

								(yyval.m_pParseNode)=new CqParseNodeDeclaration(strName.c_str(),Type_Void);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								// Store the name of the function being defined for use in variable namespacing.
								pushScope(strName,true);
							;}
    break;

  case 19:

/* Line 1464 of yacc.c  */
#line 357 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    { 
								(yyval.m_ShaderType) = Type_Lightsource;
							;}
    break;

  case 20:

/* Line 1464 of yacc.c  */
#line 360 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    { 
								(yyval.m_ShaderType) = Type_Surface;
							;}
    break;

  case 21:

/* Line 1464 of yacc.c  */
#line 363 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    { 
								(yyval.m_ShaderType) = Type_Volume;
							;}
    break;

  case 22:

/* Line 1464 of yacc.c  */
#line 366 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    { 
								(yyval.m_ShaderType) = Type_Displacement;
							;}
    break;

  case 23:

/* Line 1464 of yacc.c  */
#line 369 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    { 
								(yyval.m_ShaderType) = Type_Transformation;
							;}
    break;

  case 24:

/* Line 1464 of yacc.c  */
#line 372 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    { 
								(yyval.m_ShaderType) = Type_Imager;
							;}
    break;

  case 25:

/* Line 1464 of yacc.c  */
#line 379 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a list header, and add the first entry to it.
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeVariable* pVarNode=static_cast<CqParseNodeVariable*>((yyvsp[(1) - (1)].m_pParseNode)->pFirstChild());
								while(pVarNode!=0)
								{
									CqParseNodeVariable* pVarNext=static_cast<CqParseNodeVariable*>(pVarNode->pNext());
									(yyval.m_pParseNode)->AddLastChild(pVarNode);
									pVarNode=pVarNext;
								}
							;}
    break;

  case 26:

/* Line 1464 of yacc.c  */
#line 392 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Add this one to the list.
								CqParseNodeVariable* pVarNode=static_cast<CqParseNodeVariable*>((yyvsp[(3) - (3)].m_pParseNode)->pFirstChild());
								while(pVarNode!=0)
								{
									CqParseNodeVariable* pVarNext=static_cast<CqParseNodeVariable*>(pVarNode->pNext());
									(yyval.m_pParseNode)->AddLastChild(pVarNode);
									pVarNode=pVarNext;
								}
							;}
    break;

  case 28:

/* Line 1464 of yacc.c  */
#line 407 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeDeclaration* pDecl=static_cast<CqParseNodeDeclaration*>((yyvsp[(2) - (2)].m_pParseNode)->pFirstChild());
								while(pDecl)
								{
									TqInt Type=((yyvsp[(1) - (2)].m_TypeAndSpace).Type);
									TqInt arrayLength = 0;
									
									SqVarRef var;
									bool fv=CqVarDef::FindVariable((strNameSpace()+pDecl->strName()).c_str(), var);
									if(fv)
									{
										CqVarDef* pVar=CqVarDef::GetVariablePtr(var);
										// Check if the declaration marked it as an arry
										if(pVar->Type()&Type_Array)
											Type=(TqInt)(Type|Type_Array);
										arrayLength = pVar->ArrayLength();

										pVar->SetType(Type);
										// Create a variable node, in the case of local variable definition, these nodes will be removed, 
										// and only the intitialisers kept.
										// In the case of function parameters, the variables will be needed for type string construction.
										CqParseNode* pVarNode=new CqParseNodeVariable(var);
										pVarNode->SetPos(ParseLineNumber,ParseStreamName.c_str());
										(yyval.m_pParseNode)->AddLastChild(pVarNode);

										// Copy any initialisers
										if(pDecl->pFirstChild())
										{
											if(Type&Type_Array)
											{
												CqParseNode* pArrayInit=new CqParseNode();

												CqParseNode* pInitList=pDecl->pFirstChild();
												CqParseNode* pInit=pInitList->pFirstChild();
												TqInt i=0;
												while(pInit!=0)
												{
													CqParseNode* pInit2=pInit->pNext();
													CqParseNodeAssignArray* pInitFunc=new CqParseNodeAssignArray(var);
													pInitFunc->NoDup();
													CqParseNodeFloatConst* pIndex=new CqParseNodeFloatConst(i);

													pInitFunc->AddLastChild(pInit);
													pInitFunc->AddLastChild(pIndex);
													pArrayInit->AddLastChild(pInitFunc);

													i++;
													pInit=pInit2;
												}
												// Check if the right number of initialisers has been specified.
												if(i != arrayLength)
												{
													CqString strError("Error: expected exactly ");
													strError += arrayLength;
													strError += " initialisers, got ";
													strError += i;
													yyerror(strError);
												}
												pVarNode->AddLastChild(pArrayInit);
											}
											else
											{
												// Create an assign operator to initialise the variable.
												CqParseNode* pV=new CqParseNodeAssign(var);
												pV->SetPos(ParseLineNumber,ParseStreamName.c_str());
												pV->NoDup();
												pV->AddLastChild(pDecl->pFirstChild());

												pVarNode->AddLastChild(pV);
												pDecl->ClearChild();
											}
										}
									}

									CqParseNode* pTemp=pDecl;
									pDecl=static_cast<CqParseNodeDeclaration*>(pDecl->pNext());
									delete(pTemp);
								}
							;}
    break;

  case 29:

/* Line 1464 of yacc.c  */
#line 489 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeDeclaration* pDecl=static_cast<CqParseNodeDeclaration*>((yyvsp[(3) - (3)].m_pParseNode)->pFirstChild());
								while(pDecl)
								{
									TqInt Type=((yyvsp[(2) - (3)].m_TypeAndSpace).Type);
									TqInt arrayLength = 0;
									
									SqVarRef var;
									bool fv=CqVarDef::FindVariable((strNameSpace()+pDecl->strName()).c_str(), var);
									if(fv)
									{
										CqVarDef* pVar=CqVarDef::GetVariablePtr(var);
										// Check if the declaration marked it as an arry
										if(pVar->Type()&Type_Array)
											Type=(TqInt)(Type|Type_Array);
										arrayLength = pVar->ArrayLength();

										pVar->SetType(Type);
										// Create a variable node, in the case of local variable definition, these nodes will be removed, 
										// and only the intitialisers kept.
										// In the case of function parameters, the variables will be needed for type string construction.
										CqParseNodeVariable* pVarNode=new CqParseNodeVariable(var);
										pVarNode->SetOutput();
										pVarNode->SetPos(ParseLineNumber,ParseStreamName.c_str());
										(yyval.m_pParseNode)->AddLastChild(pVarNode);

										// Copy any initialisers
										if(pDecl->pFirstChild())
										{
											if(Type&Type_Array)
											{
												CqParseNode* pArrayInit=new CqParseNode();

												CqParseNode* pInitList=pDecl->pFirstChild();
												CqParseNode* pInit=pInitList->pFirstChild();
												TqInt i=0;
												while(pInit!=0)
												{
													CqParseNode* pInit2=pInit->pNext();
													CqParseNodeAssignArray* pInitFunc=new CqParseNodeAssignArray(var);
													pInitFunc->NoDup();
													CqParseNodeFloatConst* pIndex=new CqParseNodeFloatConst(i);

													pInitFunc->AddLastChild(pInit);
													pInitFunc->AddLastChild(pIndex);
													pArrayInit->AddLastChild(pInitFunc);

													i++;
													pInit=pInit2;
												}
												// Check if the right number of initialisers has been specified.
												if(i != arrayLength)
												{
													CqString strError("Error: expected exactly ");
													strError += arrayLength;
													strError += " initialisers, got ";
													strError += i;
													yyerror(strError);
												}
												pVarNode->AddLastChild(pArrayInit);
											}
											else
											{
												// Create an assign operator to initialise the variable.
												CqParseNode* pV=new CqParseNodeAssign(var);
												pV->SetPos(ParseLineNumber,ParseStreamName.c_str());
												pV->NoDup();
												pV->AddLastChild(pDecl->pFirstChild());

												pVarNode->AddLastChild(pV);
												pDecl->ClearChild();
											}
										}
									}

									CqParseNode* pTemp=pDecl;
									pDecl=static_cast<CqParseNodeDeclaration*>(pDecl->pNext());
									delete(pTemp);
								}
							;}
    break;

  case 30:

/* Line 1464 of yacc.c  */
#line 576 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeDeclaration* pDecl=static_cast<CqParseNodeDeclaration*>((yyvsp[(2) - (2)].m_pParseNode)->pFirstChild());
								while(pDecl)
								{
									TqInt Type=((yyvsp[(1) - (2)].m_TypeAndSpace).Type);
									TqInt arrayLength = 0;
									
									SqVarRef var;
									bool fv=CqVarDef::FindVariable((strNameSpace()+pDecl->strName()).c_str(), var);
									if(fv)
									{
										CqVarDef* pVar=CqVarDef::GetVariablePtr(var);
										// Check if the declaration marked it as an arry
										if(pVar->Type()&Type_Array)
										{
											Type=(TqInt)(Type|Type_Array);
											if( pVar->ArrayLength() <= 0 )
												yyerror("Array length must be specified.");
										}
										arrayLength = pVar->ArrayLength();

										pVar->SetType(Type);
										// Create a variable node, in the case of local variable definition, these nodes will be removed, 
										// and only the intitialisers kept.
										// In the case of function parameters, the variables will be needed for type string construction.
										CqParseNode* pVarNode=new CqParseNodeVariable(var);
										pVarNode->SetPos(ParseLineNumber,ParseStreamName.c_str());
										(yyval.m_pParseNode)->AddLastChild(pVarNode);

										// Copy any initialisers
										if(pDecl->pFirstChild())
										{
											if(Type&Type_Array)
											{
												CqParseNode* pArrayInit=new CqParseNode();

												CqParseNode* pInitList=pDecl->pFirstChild();
												CqParseNode* pInit=pInitList->pFirstChild();
												TqInt i=0;
												while(pInit!=0)
												{
													CqParseNode* pInit2=pInit->pNext();
													CqParseNodeAssignArray* pInitFunc=new CqParseNodeAssignArray(var);
													pInitFunc->NoDup();
													CqParseNodeFloatConst* pIndex=new CqParseNodeFloatConst(i);

													pInitFunc->AddLastChild(pInit);
													pInitFunc->AddLastChild(pIndex);
													pArrayInit->AddLastChild(pInitFunc);

													i++;
													pInit=pInit2;
												}
												// Check if the right number of initialisers has been specified.
												if(i != arrayLength)
												{
													CqString strError("Error: expected exactly ");
													strError += arrayLength;
													strError += " initialisers, got ";
													strError += i;
													yyerror(strError);
												}
												pVarNode->AddLastChild(pArrayInit);
											}
											else
											{
												// Create an assign operator to initialise the variable.
												CqParseNode* pV=new CqParseNodeAssign(var);
												pV->SetPos(ParseLineNumber,ParseStreamName.c_str());
												pV->NoDup();
												pV->AddLastChild(pDecl->pFirstChild());

												// Make sure that any change in the storage type is communicated to the initialiser
												pV->UpdateStorageStatus();

												pVarNode->AddLastChild(pV);
												pDecl->ClearChild();
											}
										}
									}

									CqParseNode* pTemp=pDecl;
									pDecl=static_cast<CqParseNodeDeclaration*>(pDecl->pNext());
									delete(pTemp);
								}
							;}
    break;

  case 31:

/* Line 1464 of yacc.c  */
#line 665 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeDeclaration* pDecl=static_cast<CqParseNodeDeclaration*>((yyvsp[(3) - (3)].m_pParseNode)->pFirstChild());
								while(pDecl)
								{
									SqVarRef varLocal, varExtern;
									bool fvl=CqVarDef::FindVariable((strNameSpace()+pDecl->strName()).c_str(), varLocal);

									// As this is an extern, we need to repeatedly check in the previous namespaces
									// until we find the variable they are referring to.
									bool fve=false;
									if(!ParseNameSpaceStack.empty())
									{
										std::vector<std::pair<bool,CqString> >::reverse_iterator i=ParseNameSpaceStack.rbegin()+1;
										while(!fve && i!=ParseNameSpaceStack.rend())
										{
											CqString strNS=i->second;
											fve=CqVarDef::FindVariable((strNS+pDecl->strName()).c_str(), varExtern);
											i++;
										}
									}
									if(!fve)
									{
										// If not found in the namespaces defined in the code, check the global namespace.
										fve=CqVarDef::FindStandardVariable(pDecl->strName(), varExtern);
									}

									// If we found a candidate...
									if(fve && fvl)
									{
										CqVarDef* pvarLocal=CqVarDef::GetVariablePtr(varLocal);
										CqVarDef* pvarExtern=CqVarDef::GetVariablePtr(varExtern);
										CqParseNode* pVarNode=new CqParseNodeVariable(varLocal);
										pvarLocal->SetExtern(true, varExtern);
										pvarLocal->SetType(pvarExtern->Type());
										pVarNode->SetPos(ParseLineNumber,ParseStreamName.c_str());
										(yyval.m_pParseNode)->AddLastChild(pVarNode);
									}
									else
										yyerror("extern not found");

									CqParseNode* pTemp=pDecl;
									pDecl=static_cast<CqParseNodeDeclaration*>(pDecl->pNext());
									delete(pTemp);
								}
							;}
    break;

  case 32:

/* Line 1464 of yacc.c  */
#line 715 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=(TqInt)((yyvsp[(2) - (2)].m_TypeAndSpace).Type|(yyvsp[(1) - (2)].m_VarType));
								(yyval.m_TypeAndSpace).Space=(yyvsp[(2) - (2)].m_TypeAndSpace).Space;
							;}
    break;

  case 34:

/* Line 1464 of yacc.c  */
#line 723 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a list header and add the first element.
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(1) - (1)].m_pParseNode));
							;}
    break;

  case 35:

/* Line 1464 of yacc.c  */
#line 730 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// This one to the list.
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 36:

/* Line 1464 of yacc.c  */
#line 737 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a new variable declaration based on the specified name.
								(yyval.m_pParseNode)=new CqParseNodeDeclaration((yyvsp[(1) - (2)].m_Identifier)->c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Void, (strNameSpace()+*(yyvsp[(1) - (2)].m_Identifier)).c_str());
								CqVarDef::AddVariable(vardef);
								// Add the initialiser as the first child of the declaration.
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (2)].m_pParseNode));
							;}
    break;

  case 37:

/* Line 1464 of yacc.c  */
#line 746 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a new variable declaration based on the specified name.
								(yyval.m_pParseNode)=new CqParseNodeDeclaration((yyvsp[(1) - (1)].m_Identifier)->c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Void, (strNameSpace()+*(yyvsp[(1) - (1)].m_Identifier)).c_str());
								CqVarDef::AddVariable(vardef);
							;}
    break;

  case 38:

/* Line 1464 of yacc.c  */
#line 753 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a new variable declaration based on the specified name.
								(yyval.m_pParseNode)=new CqParseNodeDeclaration((yyvsp[(1) - (4)].m_Identifier)->c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Array, (strNameSpace()+*(yyvsp[(1) - (4)].m_Identifier)).c_str(), static_cast<TqInt>((yyvsp[(3) - (4)].m_FloatConst)));
								CqVarDef::AddVariable(vardef);
							;}
    break;

  case 39:

/* Line 1464 of yacc.c  */
#line 761 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a new variable declaration based on the specified name.
								(yyval.m_pParseNode)=new CqParseNodeDeclaration((yyvsp[(1) - (5)].m_Identifier)->c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Array, (strNameSpace()+*(yyvsp[(1) - (5)].m_Identifier)).c_str(), static_cast<TqInt>((yyvsp[(3) - (5)].m_FloatConst)));
								CqVarDef::AddVariable(vardef);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(5) - (5)].m_pParseNode));
							;}
    break;

  case 40:

/* Line 1464 of yacc.c  */
#line 769 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a new variable declaration based on the specified name.
								(yyval.m_pParseNode)=new CqParseNodeDeclaration((yyvsp[(1) - (3)].m_Identifier)->c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Array, (strNameSpace()+*(yyvsp[(1) - (3)].m_Identifier)).c_str(), 0);
								CqVarDef::AddVariable(vardef);
							;}
    break;

  case 41:

/* Line 1464 of yacc.c  */
#line 776 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a new declaration based on the name.
								// TODO: Should warn about duplicate declarations.
								CqString strName("");
								if((yyvsp[(1) - (2)].m_pSymbol).eType&1)	strName=CqVarDef::GetVariablePtr((yyvsp[(1) - (2)].m_pSymbol).VarRef)->strName();
								else			strName=CqFuncDef::GetFunctionPtr((yyvsp[(1) - (2)].m_pSymbol).FuncRef)->strName();

								(yyval.m_pParseNode)=new CqParseNodeDeclaration(strName.c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Void, (strNameSpace()+strName).c_str());
								CqVarDef::AddVariable(vardef);
								// Add the initialiser as the first child of the declaration.
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (2)].m_pParseNode));
							;}
    break;

  case 42:

/* Line 1464 of yacc.c  */
#line 790 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqString strName("");
								if((yyvsp[(1) - (1)].m_pSymbol).eType&1)	strName=CqVarDef::GetVariablePtr((yyvsp[(1) - (1)].m_pSymbol).VarRef)->strName();
								else			strName=CqFuncDef::GetFunctionPtr((yyvsp[(1) - (1)].m_pSymbol).FuncRef)->strName();

								(yyval.m_pParseNode)=new CqParseNodeDeclaration(strName.c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Void, (strNameSpace()+strName).c_str());
								CqVarDef::AddVariable(vardef);
							;}
    break;

  case 43:

/* Line 1464 of yacc.c  */
#line 800 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqString strName("");
								if((yyvsp[(1) - (4)].m_pSymbol).eType&1)	strName=CqVarDef::GetVariablePtr((yyvsp[(1) - (4)].m_pSymbol).VarRef)->strName();
								else			strName=CqFuncDef::GetFunctionPtr((yyvsp[(1) - (4)].m_pSymbol).FuncRef)->strName();

								(yyval.m_pParseNode)=new CqParseNodeDeclaration(strName.c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Array, (strNameSpace()+strName).c_str(), static_cast<TqInt>((yyvsp[(3) - (4)].m_FloatConst)));
								CqVarDef::AddVariable(vardef);
							;}
    break;

  case 44:

/* Line 1464 of yacc.c  */
#line 811 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqString strName("");
								if((yyvsp[(1) - (5)].m_pSymbol).eType&1)	strName=CqVarDef::GetVariablePtr((yyvsp[(1) - (5)].m_pSymbol).VarRef)->strName();
								else			strName=CqFuncDef::GetFunctionPtr((yyvsp[(1) - (5)].m_pSymbol).FuncRef)->strName();

								(yyval.m_pParseNode)=new CqParseNodeDeclaration(strName.c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Array, (strNameSpace()+strName).c_str(), static_cast<TqInt>((yyvsp[(3) - (5)].m_FloatConst)));
								CqVarDef::AddVariable(vardef);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(5) - (5)].m_pParseNode));
							;}
    break;

  case 45:

/* Line 1464 of yacc.c  */
#line 822 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqString strName("");
								if((yyvsp[(1) - (3)].m_pSymbol).eType&1)	strName=CqVarDef::GetVariablePtr((yyvsp[(1) - (3)].m_pSymbol).VarRef)->strName();
								else			strName=CqFuncDef::GetFunctionPtr((yyvsp[(1) - (3)].m_pSymbol).FuncRef)->strName();

								(yyval.m_pParseNode)=new CqParseNodeDeclaration(strName.c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqVarDef vardef(Type_Array, (strNameSpace()+strName).c_str(), 0);
								CqVarDef::AddVariable(vardef);
							;}
    break;

  case 46:

/* Line 1464 of yacc.c  */
#line 835 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=(yyvsp[(2) - (2)].m_pParseNode);
							;}
    break;

  case 47:

/* Line 1464 of yacc.c  */
#line 842 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* pArrayInit=new CqParseNode();
								CqParseNode* pInit=(yyvsp[(3) - (4)].m_pParseNode)->pFirstChild();
								while(pInit)
								{
									CqParseNode* pInit2=pInit->pNext();
									pArrayInit->AddLastChild(pInit);
									pInit=pInit2;
								}
								(yyval.m_pParseNode)=pArrayInit;
							;}
    break;

  case 48:

/* Line 1464 of yacc.c  */
#line 856 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a list header and add the first element.
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(1) - (1)].m_pParseNode));
							;}
    break;

  case 49:

/* Line 1464 of yacc.c  */
#line 863 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// This one to the list.
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 50:

/* Line 1464 of yacc.c  */
#line 870 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_VarType)=Type_Varying;	;}
    break;

  case 51:

/* Line 1464 of yacc.c  */
#line 871 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_VarType)=Type_Uniform;	;}
    break;

  case 52:

/* Line 1464 of yacc.c  */
#line 875 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	
								(yyval.m_TypeAndSpace).Type=Type_Float;		
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 53:

/* Line 1464 of yacc.c  */
#line 879 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_String;	
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 54:

/* Line 1464 of yacc.c  */
#line 883 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Void;
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 60:

/* Line 1464 of yacc.c  */
#line 895 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Point;		
								(yyval.m_TypeAndSpace).Space=(yyvsp[(2) - (2)].m_Identifier);
							;}
    break;

  case 61:

/* Line 1464 of yacc.c  */
#line 899 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Point;		
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 62:

/* Line 1464 of yacc.c  */
#line 906 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Color;		
								(yyval.m_TypeAndSpace).Space=(yyvsp[(2) - (2)].m_Identifier);
							;}
    break;

  case 63:

/* Line 1464 of yacc.c  */
#line 910 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Color;		
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 64:

/* Line 1464 of yacc.c  */
#line 917 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Vector;		
								(yyval.m_TypeAndSpace).Space=(yyvsp[(2) - (2)].m_Identifier);
							;}
    break;

  case 65:

/* Line 1464 of yacc.c  */
#line 921 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Vector;		
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 66:

/* Line 1464 of yacc.c  */
#line 928 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Normal;		
								(yyval.m_TypeAndSpace).Space=(yyvsp[(2) - (2)].m_Identifier);
							;}
    break;

  case 67:

/* Line 1464 of yacc.c  */
#line 932 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Normal;		
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 68:

/* Line 1464 of yacc.c  */
#line 939 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Matrix;		
								(yyval.m_TypeAndSpace).Space=(yyvsp[(2) - (2)].m_Identifier);
							;}
    break;

  case 69:

/* Line 1464 of yacc.c  */
#line 943 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_TypeAndSpace).Type=Type_Matrix;		
								(yyval.m_TypeAndSpace).Space=0;
							;}
    break;

  case 71:

/* Line 1464 of yacc.c  */
#line 954 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a list header and add the first element.
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddFirstChild((yyvsp[(1) - (1)].m_pParseNode));
							;}
    break;

  case 72:

/* Line 1464 of yacc.c  */
#line 961 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Add this one to the list.
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (2)].m_pParseNode));
							;}
    break;

  case 73:

/* Line 1464 of yacc.c  */
#line 968 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_pParseNode)->NoDup();;}
    break;

  case 74:

/* Line 1464 of yacc.c  */
#line 969 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								if((yyval.m_pParseNode)->ResType()!=Type_Void)
								{
									(yyval.m_pParseNode)=new CqParseNodeDrop();
									(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
									(yyval.m_pParseNode)->AddLastChild((yyvsp[(1) - (2)].m_pParseNode));
								}
							;}
    break;

  case 75:

/* Line 1464 of yacc.c  */
#line 977 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								if((yyval.m_pParseNode)->ResType()!=Type_Void)
								{
									(yyval.m_pParseNode)=new CqParseNodeDrop();
									(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
									(yyval.m_pParseNode)->AddLastChild((yyvsp[(1) - (2)].m_pParseNode));
								}
							;}
    break;

  case 76:

/* Line 1464 of yacc.c  */
#line 985 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeDrop();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(1) - (2)].m_pParseNode));
							;}
    break;

  case 77:

/* Line 1464 of yacc.c  */
#line 991 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Check that the return is valid
								if(functionReturnCountStack.empty())
									yyerror("return statement outside function scope");
								else
								{
									functionReturnCountStack.top()++;
									if(currentFunctionStack.top()->Type() != Type_Void)
									{
										if(functionReturnCountStack.top() > 1)
											yyerror("more than one return in function");
									}
									else if(functionReturnCountStack.top() > 0)
										yyerror("void functions cannot have a return");
								}
								// Create a cast node casting to the function return type.
								(yyval.m_pParseNode)=new CqParseNodeCast(currentFunctionStack.top()->Type());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (3)].m_pParseNode));
							;}
    break;

  case 80:

/* Line 1464 of yacc.c  */
#line 1014 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Remove the variable nodes from these leaving just the 
								// intialisation code.
								// Each child of the variable_definitions is a CqParseNodeVariable
								CqParseNodeVariable* pVar=static_cast<CqParseNodeVariable*>((yyvsp[(1) - (2)].m_pParseNode)->pFirstChild());
								while(pVar)
								{
									CqParseNodeVariable* pTemp=static_cast<CqParseNodeVariable*>(pVar->pNext());

									// If storage is not specified, local variable defaults to varying.
									pVar->SetDefaultStorage(Type_Varying);
									
									// Relink the initialisers, if any, after the variable.
									if(pVar->pFirstChild())
									{
										// Make sure that any change in the storage type is communicated to the initialiser
										pVar->pFirstChild()->UpdateStorageStatus();
										CqParseNode* pVarying=pVar->pFirstChild();
										pVarying->LinkAfter(pVar);
									}
									pVar->UnLink();
									delete(pVar);
									pVar=pTemp;
								}
							;}
    break;

  case 82:

/* Line 1464 of yacc.c  */
#line 1041 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Introduce a new scope for the block
								pushScope("b");
							;}
    break;

  case 83:

/* Line 1464 of yacc.c  */
#line 1046 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								popScope();
							;}
    break;

  case 84:

/* Line 1464 of yacc.c  */
#line 1049 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	
								(yyval.m_pParseNode)=(yyvsp[(3) - (5)].m_pParseNode);	
							;}
    break;

  case 85:

/* Line 1464 of yacc.c  */
#line 1052 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNode(); ;}
    break;

  case 86:

/* Line 1464 of yacc.c  */
#line 1053 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNode(); ;}
    break;

  case 87:

/* Line 1464 of yacc.c  */
#line 1055 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* pNew=new CqParseNodeConditional();
								pNew->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pNew->AddLastChild((yyvsp[(2) - (3)].m_pParseNode));
								pNew->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
								(yyval.m_pParseNode)=pNew;
							;}
    break;

  case 88:

/* Line 1464 of yacc.c  */
#line 1063 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* relation=new CqParseNodeRelOp(Op_NE);
								relation->SetPos(ParseLineNumber,ParseStreamName.c_str());
								relation->AddFirstChild((yyvsp[(2) - (3)].m_pParseNode));
								CqParseNode* pcomp=new CqParseNodeFloatConst(0);
								relation->AddLastChild(pcomp);

								CqParseNode* pNew=new CqParseNodeConditional();
								pNew->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pNew->AddLastChild(relation);
								pNew->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
								(yyval.m_pParseNode)=pNew;

							;}
    break;

  case 89:

/* Line 1464 of yacc.c  */
#line 1078 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* pNew=new CqParseNodeConditional();
								pNew->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pNew->AddLastChild((yyvsp[(2) - (5)].m_pParseNode));
								pNew->AddLastChild((yyvsp[(3) - (5)].m_pParseNode));
								pNew->AddLastChild((yyvsp[(5) - (5)].m_pParseNode));
								(yyval.m_pParseNode)=pNew;
							;}
    break;

  case 90:

/* Line 1464 of yacc.c  */
#line 1086 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* relation=new CqParseNodeRelOp(Op_NE);
								relation->SetPos(ParseLineNumber,ParseStreamName.c_str());
								relation->AddFirstChild((yyvsp[(2) - (5)].m_pParseNode));
								CqParseNode* pcomp=new CqParseNodeFloatConst(0);
								relation->AddLastChild(pcomp);
								CqParseNode* pNew=new CqParseNodeConditional();
								
								pNew->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pNew->AddLastChild(relation);
								pNew->AddLastChild((yyvsp[(3) - (5)].m_pParseNode));
								pNew->AddLastChild((yyvsp[(5) - (5)].m_pParseNode));
								(yyval.m_pParseNode)=pNew;
							;}
    break;

  case 91:

/* Line 1464 of yacc.c  */
#line 1105 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeWhileConstruct();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (3)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 92:

/* Line 1464 of yacc.c  */
#line 1111 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* relation=new CqParseNodeRelOp(Op_NE);
								relation->SetPos(ParseLineNumber,ParseStreamName.c_str());
								relation->AddFirstChild((yyvsp[(2) - (3)].m_pParseNode));
								CqParseNode* pcomp=new CqParseNodeFloatConst(0);
								relation->AddLastChild(pcomp);

								(yyval.m_pParseNode)=new CqParseNodeWhileConstruct();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild(relation);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 93:

/* Line 1464 of yacc.c  */
#line 1124 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (9)].m_pParseNode));
								CqParseNode* pW=new CqParseNodeWhileConstruct();
								pW->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild(pW);
								pW->AddLastChild((yyvsp[(5) - (9)].m_pParseNode));
								pW->AddLastChild((yyvsp[(9) - (9)].m_pParseNode));
								pW->AddLastChild((yyvsp[(7) - (9)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (9)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (9)].m_pParseNode)->NoDup();
							;}
    break;

  case 94:

/* Line 1464 of yacc.c  */
#line 1139 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* relation=new CqParseNodeRelOp(Op_NE);
								relation->SetPos(ParseLineNumber,ParseStreamName.c_str());
								relation->AddFirstChild((yyvsp[(5) - (9)].m_pParseNode));
								CqParseNode* pcomp=new CqParseNodeFloatConst(0);
								relation->AddLastChild(pcomp);

								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (9)].m_pParseNode));
								CqParseNode* pW=new CqParseNodeWhileConstruct();
								pW->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild(pW);
								pW->AddLastChild(relation);
								pW->AddLastChild((yyvsp[(9) - (9)].m_pParseNode));
								pW->AddLastChild((yyvsp[(7) - (9)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (9)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (9)].m_pParseNode)->NoDup();
							;}
    break;

  case 95:

/* Line 1464 of yacc.c  */
#line 1160 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeSolarConstruct();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(4) - (4)].m_pParseNode));
							;}
    break;

  case 96:

/* Line 1464 of yacc.c  */
#line 1166 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeSolarConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddFirstChild((yyvsp[(3) - (7)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(5) - (7)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(7) - (7)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (7)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (7)].m_pParseNode)->NoDup();
							;}
    break;

  case 97:

/* Line 1464 of yacc.c  */
#line 1180 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeIlluminateConstruct();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (5)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(5) - (5)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (5)].m_pParseNode)->NoDup();
							;}
    break;

  case 98:

/* Line 1464 of yacc.c  */
#line 1189 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeIlluminateConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddFirstChild((yyvsp[(3) - (9)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(5) - (9)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(7) - (9)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(9) - (9)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (9)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (9)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (9)].m_pParseNode)->NoDup();
							;}
    break;

  case 99:

/* Line 1464 of yacc.c  */
#line 1205 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeIlluminanceConstruct();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddFirstChild(new CqParseNodeStringConst(""));	// [category]
								pArg->AddFirstChild((yyvsp[(3) - (5)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(5) - (5)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (5)].m_pParseNode)->NoDup();
							;}
    break;

  case 100:

/* Line 1464 of yacc.c  */
#line 1218 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeIlluminanceConstruct();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddFirstChild((yyvsp[(3) - (7)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(5) - (7)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(7) - (7)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (7)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (7)].m_pParseNode)->NoDup();
							;}
    break;

  case 101:

/* Line 1464 of yacc.c  */
#line 1232 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeIlluminanceConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddFirstChild(new CqParseNodeStringConst(""));	// [category]
								pArg->AddFirstChild((yyvsp[(3) - (9)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(5) - (9)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(7) - (9)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(9) - (9)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (9)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (9)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (9)].m_pParseNode)->NoDup();
							;}
    break;

  case 102:

/* Line 1464 of yacc.c  */
#line 1249 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeIlluminanceConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddFirstChild((yyvsp[(3) - (11)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(5) - (11)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(7) - (11)].m_pParseNode));
								pArg->AddFirstChild((yyvsp[(9) - (11)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(11) - (11)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (11)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (11)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (11)].m_pParseNode)->NoDup();
								(yyvsp[(9) - (11)].m_pParseNode)->NoDup();
							;}
    break;

  case 103:

/* Line 1464 of yacc.c  */
#line 1267 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeGatherConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddLastChild((yyvsp[(3) - (13)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(5) - (13)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(7) - (13)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(9) - (13)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(11) - (13)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(13) - (13)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (13)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (13)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (13)].m_pParseNode)->NoDup();
								(yyvsp[(9) - (13)].m_pParseNode)->NoDup();
								(yyvsp[(11) - (13)].m_pParseNode)->NoDup();
							;}
    break;

  case 104:

/* Line 1464 of yacc.c  */
#line 1287 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeGatherConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddLastChild((yyvsp[(3) - (15)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(5) - (15)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(7) - (15)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(9) - (15)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(11) - (15)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(13) - (15)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(15) - (15)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (15)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (15)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (15)].m_pParseNode)->NoDup();
								(yyvsp[(9) - (15)].m_pParseNode)->NoDup();
								(yyvsp[(11) - (15)].m_pParseNode)->NoDup();
							;}
    break;

  case 105:

/* Line 1464 of yacc.c  */
#line 1308 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeGatherConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddLastChild((yyvsp[(3) - (14)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(5) - (14)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(7) - (14)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(9) - (14)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(11) - (14)].m_pParseNode));
								// Add all extra arguments as further arguments to the function.
								CqParseNode* pParam=(yyvsp[(12) - (14)].m_pParseNode)->pFirstChild();
								while(pParam!=0)
								{
									CqParseNode* pTemp=pParam->pNext();
									pArg->AddLastChild(pParam);
									pParam=pTemp;
								}
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(14) - (14)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (14)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (14)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (14)].m_pParseNode)->NoDup();
								(yyvsp[(9) - (14)].m_pParseNode)->NoDup();
								(yyvsp[(11) - (14)].m_pParseNode)->NoDup();
							;}
    break;

  case 106:

/* Line 1464 of yacc.c  */
#line 1336 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeGatherConstruct(true);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg=new CqParseNode();
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pArg->AddLastChild((yyvsp[(3) - (16)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(5) - (16)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(7) - (16)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(9) - (16)].m_pParseNode));
								pArg->AddLastChild((yyvsp[(11) - (16)].m_pParseNode));
								// Add all extra arguments as further arguments to the function.
								CqParseNode* pParam=(yyvsp[(12) - (16)].m_pParseNode)->pFirstChild();
								while(pParam!=0)
								{
									CqParseNode* pTemp=pParam->pNext();
									pArg->AddLastChild(pParam);
									pParam=pTemp;
								}
								(yyval.m_pParseNode)->AddLastChild(pArg);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(14) - (16)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(16) - (16)].m_pParseNode));
								// Make sure that any assigns in the two expressions don't dup
								(yyvsp[(3) - (16)].m_pParseNode)->NoDup();
								(yyvsp[(5) - (16)].m_pParseNode)->NoDup();
								(yyvsp[(7) - (16)].m_pParseNode)->NoDup();
								(yyvsp[(9) - (16)].m_pParseNode)->NoDup();
								(yyvsp[(11) - (16)].m_pParseNode)->NoDup();
							;}
    break;

  case 107:

/* Line 1464 of yacc.c  */
#line 1367 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=(yyvsp[(1) - (2)].m_pParseNode);
								// \todo: "number" should really be an integer
								// - it would better to encode this into the
								// grammer.
								TqFloat breakDepth = (yyvsp[(2) - (2)].m_FloatConst);
								TqInt breakDepthRounded = lround(breakDepth);
								if(breakDepthRounded <= 0)
									yyerror("Invalid break or continue - depth argument must be greater than 0");
								else if(breakDepthRounded != breakDepth)
									yyerror("Invalid break or continue - depth argument must be an integer");
								CqParseNode* pArg = new CqParseNodeFloatConst((yyvsp[(2) - (2)].m_FloatConst));
								pArg->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild(pArg);
							;}
    break;

  case 109:

/* Line 1464 of yacc.c  */
#line 1386 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeLoopMod(LoopMod_Break);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 110:

/* Line 1464 of yacc.c  */
#line 1390 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeLoopMod(LoopMod_Continue);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 112:

/* Line 1464 of yacc.c  */
#line 1400 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator.", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild((yyvsp[(1) - (3)].m_pParseNode));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 113:

/* Line 1464 of yacc.c  */
#line 1411 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator/", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild((yyvsp[(1) - (3)].m_pParseNode));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 114:

/* Line 1464 of yacc.c  */
#line 1422 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator*", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild((yyvsp[(1) - (3)].m_pParseNode));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 115:

/* Line 1464 of yacc.c  */
#line 1433 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator^", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild((yyvsp[(1) - (3)].m_pParseNode));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 116:

/* Line 1464 of yacc.c  */
#line 1444 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator+", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild((yyvsp[(1) - (3)].m_pParseNode));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 117:

/* Line 1464 of yacc.c  */
#line 1455 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator-", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild((yyvsp[(1) - (3)].m_pParseNode));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 118:

/* Line 1464 of yacc.c  */
#line 1466 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operatorneg", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddFirstChild((yyvsp[(2) - (2)].m_pParseNode));

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 120:

/* Line 1464 of yacc.c  */
#line 1477 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqParseNode* pNew=new CqParseNodeQCond();
								pNew->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pNew->AddLastChild((yyvsp[(1) - (5)].m_pParseNode));
								pNew->AddLastChild((yyvsp[(3) - (5)].m_pParseNode));
								pNew->AddLastChild((yyvsp[(5) - (5)].m_pParseNode));
								(yyval.m_pParseNode)=pNew;
							;}
    break;

  case 121:

/* Line 1464 of yacc.c  */
#line 1489 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pCast=new CqParseNodeCast((yyvsp[(1) - (2)].m_TypeAndSpace).Type);
								pCast->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pCast->AddFirstChild((yyvsp[(2) - (2)].m_pParseNode));
								
								TqInt Type=(TqInt)((yyvsp[(1) - (2)].m_TypeAndSpace).Type&Type_Mask);
								CqString* pSpace=(yyvsp[(1) - (2)].m_TypeAndSpace).Space;
								// Check if the type has a valid space associated
								if(pSpace!=0 && pSpace->compare("")!=0 && 
								  ((Type==Type_Point) ||
								   (Type==Type_Normal) ||
								   (Type==Type_Vector) ||
								   (Type==Type_Matrix) ||
								   (Type==Type_Color) ))
								{
									// Create a transform function.
									std::vector<SqFuncRef> funcTrans;
									CqString strTrans("transform");;
									if(Type==Type_Normal)	strTrans="ntransform";
									else if(Type==Type_Vector)	strTrans="vtransform";
									else if(Type==Type_Matrix)	strTrans="mtransform";
									else if(Type==Type_Color)	strTrans="ctransform";
									if(FindFunction(strTrans.c_str(), funcTrans))
									{
										(yyval.m_pParseNode)=new CqParseNodeFunctionCall(funcTrans);
										(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
									
										// And create a holder for the arguments.
										CqParseNode* pFromSpace=new CqParseNodeStringConst((*(yyvsp[(1) - (2)].m_TypeAndSpace).Space).c_str());
										CqParseNode* pToSpace;
										if(Type != Type_Color)	pToSpace = new CqParseNodeStringConst("current");
										else					pToSpace = new CqParseNodeStringConst("rgb");
										(yyval.m_pParseNode)->AddLastChild(pFromSpace);
										(yyval.m_pParseNode)->AddLastChild(pToSpace);
										(yyval.m_pParseNode)->AddLastChild(pCast);
									}
								}
								else
									(yyval.m_pParseNode)->AddFirstChild(pCast);
							;}
    break;

  case 122:

/* Line 1464 of yacc.c  */
#line 1535 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	
								(yyval.m_pParseNode)=new CqParseNodeFloatConst((yyvsp[(1) - (1)].m_FloatConst));
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 123:

/* Line 1464 of yacc.c  */
#line 1539 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeVariable((yyvsp[(1) - (1)].m_pSymbol).VarRef);	
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 124:

/* Line 1464 of yacc.c  */
#line 1543 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeVariable((yyvsp[(1) - (1)].m_pSymbol).VarRef);	
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 125:

/* Line 1464 of yacc.c  */
#line 1547 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeVariableArray((yyvsp[(1) - (4)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (4)].m_pParseNode));
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 126:

/* Line 1464 of yacc.c  */
#line 1552 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeStringConst((yyvsp[(1) - (1)].m_Identifier)->c_str());
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 131:

/* Line 1464 of yacc.c  */
#line 1560 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	
								(yyval.m_pParseNode)=(yyvsp[(2) - (3)].m_pParseNode);
							;}
    break;

  case 132:

/* Line 1464 of yacc.c  */
#line 1564 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeTriple();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (7)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(4) - (7)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(6) - (7)].m_pParseNode));
							;}
    break;

  case 133:

/* Line 1464 of yacc.c  */
#line 1572 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeHexTuple();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(4) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(6) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(8) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(10) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(12) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(14) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(16) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(18) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(20) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(22) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(24) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(26) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(28) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(30) - (33)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(32) - (33)].m_pParseNode));
							;}
    break;

  case 134:

/* Line 1464 of yacc.c  */
#line 1595 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNodeRelOp(Op_G);	;}
    break;

  case 135:

/* Line 1464 of yacc.c  */
#line 1596 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNodeRelOp(Op_GE);	;}
    break;

  case 136:

/* Line 1464 of yacc.c  */
#line 1597 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNodeRelOp(Op_L);	;}
    break;

  case 137:

/* Line 1464 of yacc.c  */
#line 1598 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNodeRelOp(Op_LE);	;}
    break;

  case 138:

/* Line 1464 of yacc.c  */
#line 1599 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNodeRelOp(Op_EQ);	;}
    break;

  case 139:

/* Line 1464 of yacc.c  */
#line 1600 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {	(yyval.m_pParseNode)=new CqParseNodeRelOp(Op_NE);	;}
    break;

  case 140:

/* Line 1464 of yacc.c  */
#line 1604 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=(yyvsp[(2) - (3)].m_pParseNode);
							;}
    break;

  case 141:

/* Line 1464 of yacc.c  */
#line 1608 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=(yyvsp[(2) - (3)].m_pParseNode);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddFirstChild((yyvsp[(1) - (3)].m_pParseNode));
								(yyval.m_pParseNode)->AddFirstChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 142:

/* Line 1464 of yacc.c  */
#line 1615 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeLogicalOp(Op_LogAnd);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddFirstChild((yyvsp[(1) - (3)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 143:

/* Line 1464 of yacc.c  */
#line 1622 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeLogicalOp(Op_LogOr);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddFirstChild((yyvsp[(1) - (3)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 144:

/* Line 1464 of yacc.c  */
#line 1628 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeUnaryOp(Op_LogicalNot);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(2) - (2)].m_pParseNode));
							;}
    break;

  case 145:

/* Line 1464 of yacc.c  */
#line 1637 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssign((yyvsp[(1) - (3)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 146:

/* Line 1464 of yacc.c  */
#line 1643 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssign((yyvsp[(1) - (3)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator+", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild(new CqParseNodeVariable((yyvsp[(1) - (3)].m_pSymbol).VarRef));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
							;}
    break;

  case 147:

/* Line 1464 of yacc.c  */
#line 1657 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssign((yyvsp[(1) - (3)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator-", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild(new CqParseNodeVariable((yyvsp[(1) - (3)].m_pSymbol).VarRef));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
							;}
    break;

  case 148:

/* Line 1464 of yacc.c  */
#line 1671 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssign((yyvsp[(1) - (3)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator*", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild(new CqParseNodeVariable((yyvsp[(1) - (3)].m_pSymbol).VarRef));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
							;}
    break;

  case 149:

/* Line 1464 of yacc.c  */
#line 1685 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssign((yyvsp[(1) - (3)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator/", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								pFunc->AddLastChild(new CqParseNodeVariable((yyvsp[(1) - (3)].m_pSymbol).VarRef));
								pFunc->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
							;}
    break;

  case 150:

/* Line 1464 of yacc.c  */
#line 1699 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssignArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(6) - (6)].m_pParseNode));
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (6)].m_pParseNode));
							;}
    break;

  case 151:

/* Line 1464 of yacc.c  */
#line 1706 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssignArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator+", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeVariableArray* pVar=new CqParseNodeVariableArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								pVar->AddLastChild((yyvsp[(3) - (6)].m_pParseNode)->Clone());
								pFunc->AddLastChild(pVar);

								pFunc->AddLastChild((yyvsp[(6) - (6)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (6)].m_pParseNode));
							;}
    break;

  case 152:

/* Line 1464 of yacc.c  */
#line 1724 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssignArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator-", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeVariableArray* pVar=new CqParseNodeVariableArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								pVar->AddLastChild((yyvsp[(3) - (6)].m_pParseNode)->Clone());
								pFunc->AddLastChild(pVar);

								pFunc->AddLastChild((yyvsp[(6) - (6)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (6)].m_pParseNode));
							;}
    break;

  case 153:

/* Line 1464 of yacc.c  */
#line 1742 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssignArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator*", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeVariableArray* pVar=new CqParseNodeVariableArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								pVar->AddLastChild((yyvsp[(3) - (6)].m_pParseNode)->Clone());
								pFunc->AddLastChild(pVar);

								pFunc->AddLastChild((yyvsp[(6) - (6)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (6)].m_pParseNode));
							;}
    break;

  case 154:

/* Line 1464 of yacc.c  */
#line 1760 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode)=new CqParseNodeAssignArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("operator/", func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNodeVariableArray* pVar=new CqParseNodeVariableArray((yyvsp[(1) - (6)].m_pSymbol).VarRef);
								pVar->AddLastChild((yyvsp[(3) - (6)].m_pParseNode)->Clone());
								pFunc->AddLastChild(pVar);

								pFunc->AddLastChild((yyvsp[(6) - (6)].m_pParseNode));

								(yyval.m_pParseNode)->AddLastChild(pFunc);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (6)].m_pParseNode));
							;}
    break;

  case 155:

/* Line 1464 of yacc.c  */
#line 1781 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction(CqFuncDef::GetFunctionPtr((yyvsp[(1) - (4)].m_pSymbol).FuncRef)->strName(), func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								while((yyvsp[(3) - (4)].m_pParseNode)->pFirstChild()!=0)	pFunc->AddLastChild((yyvsp[(3) - (4)].m_pParseNode)->pFirstChild());

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 156:

/* Line 1464 of yacc.c  */
#line 1790 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction(CqFuncDef::GetFunctionPtr((yyvsp[(1) - (3)].m_pSymbol).FuncRef)->strName(), func);
								CqParseNodeFunctionCall* pFunc=new CqParseNodeFunctionCall(func);
								pFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());

								(yyval.m_pParseNode)=pFunc;
							;}
    break;

  case 157:

/* Line 1464 of yacc.c  */
#line 1799 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode) = (yyvsp[(1) - (4)].m_pParseNode);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								CqParseNode* pArg = (yyvsp[(3) - (4)].m_pParseNode)->pFirstChild();
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (4)].m_pParseNode)->pFirstChild());
								if(pArg->pFirstChild())
									(yyval.m_pParseNode)->AddLastChild(pArg->pFirstChild());
								else
									(yyval.m_pParseNode)->AddLastChild(new CqParseNodeFloatConst(0));
								while((yyvsp[(3) - (4)].m_pParseNode)->pFirstChild()!=0)	(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (4)].m_pParseNode)->pFirstChild());
							;}
    break;

  case 158:

/* Line 1464 of yacc.c  */
#line 1815 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								Aqsis::log() << warning << "Unresolved function " << (yyvsp[(1) - (4)].m_Identifier)->c_str() << " will be treated as a DSO at runtime" << std::endl;
								CqParseNode* pArgs=(yyvsp[(3) - (4)].m_pParseNode);
								CqString strArgTypes("");
								if(pArgs)
								{
									CqParseNode* pArg=static_cast<CqParseNode*>(pArgs->pFirstChild());
									while(pArg)
									{
										strArgTypes+=CqParseNode::TypeIdentifier(pArg->ResType());
										pArg=static_cast<CqParseNode*>(pArg->pNext());
									}
								};

								CqFuncDef func_spec(Type_Nil,(yyvsp[(1) - (4)].m_Identifier)->c_str(),"unresolved",strArgTypes.c_str(), (CqParseNode*)NULL, pArgs);
								CqParseNodeUnresolvedCall* pUFunc=new CqParseNodeUnresolvedCall(func_spec);
								pUFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());
								while((yyvsp[(3) - (4)].m_pParseNode)->pFirstChild()!=0)	pUFunc->AddLastChild((yyvsp[(3) - (4)].m_pParseNode)->pFirstChild());

								(yyval.m_pParseNode)=pUFunc;
							;}
    break;

  case 159:

/* Line 1464 of yacc.c  */
#line 1837 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Need to emit a warning.
								// This should in theory be the eaiest case to handle
								// since there are no arguments that might need casting
								// later.
								Aqsis::log() << warning << "Unresolved function " << (yyvsp[(1) - (3)].m_Identifier)->c_str() << " will be treated as a DSO at runtime" << std::endl;
								CqFuncDef func_spec(Type_Nil, (yyvsp[(1) - (3)].m_Identifier)->c_str(), "unresolved","");
								CqParseNodeUnresolvedCall* pUFunc=new CqParseNodeUnresolvedCall(func_spec);
								pUFunc->SetPos(ParseLineNumber,ParseStreamName.c_str());

								(yyval.m_pParseNode)=pUFunc;
							;}
    break;

  case 161:

/* Line 1464 of yacc.c  */
#line 1854 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								(yyval.m_pParseNode) = (yyvsp[(1) - (4)].m_pParseNode);
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (4)].m_pParseNode));
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 162:

/* Line 1464 of yacc.c  */
#line 1862 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a list header, and add the first entry.
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(1) - (1)].m_pParseNode));
							;}
    break;

  case 163:

/* Line 1464 of yacc.c  */
#line 1869 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Add this entry to the list.
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 164:

/* Line 1464 of yacc.c  */
#line 1876 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("texture", func);
								(yyval.m_pParseNode)=new CqParseNodeFunctionCall(func);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 165:

/* Line 1464 of yacc.c  */
#line 1882 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("environment", func);
								(yyval.m_pParseNode)=new CqParseNodeFunctionCall(func);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 166:

/* Line 1464 of yacc.c  */
#line 1888 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("bump", func);
								(yyval.m_pParseNode)=new CqParseNodeFunctionCall(func);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 167:

/* Line 1464 of yacc.c  */
#line 1894 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("shadow", func);
								(yyval.m_pParseNode)=new CqParseNodeFunctionCall(func);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 168:

/* Line 1464 of yacc.c  */
#line 1900 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								std::vector<SqFuncRef> func;
								CqFuncDef::FindFunction("occlusion", func);
								(yyval.m_pParseNode)=new CqParseNodeFunctionCall(func);
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
							;}
    break;

  case 169:

/* Line 1464 of yacc.c  */
#line 1909 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Create a list header and add the first entry.
								(yyval.m_pParseNode)=new CqParseNode();
								(yyval.m_pParseNode)->SetPos(ParseLineNumber,ParseStreamName.c_str());
								(yyval.m_pParseNode)->AddFirstChild((yyvsp[(2) - (2)].m_pParseNode));
							;}
    break;

  case 170:

/* Line 1464 of yacc.c  */
#line 1916 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								// Add this entry to the list.
								(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (3)].m_pParseNode));
							;}
    break;

  case 172:

/* Line 1464 of yacc.c  */
#line 1929 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeAtmosphere;;}
    break;

  case 173:

/* Line 1464 of yacc.c  */
#line 1930 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeDisplacement;;}
    break;

  case 174:

/* Line 1464 of yacc.c  */
#line 1931 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeLightsource;;}
    break;

  case 175:

/* Line 1464 of yacc.c  */
#line 1932 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeSurface;;}
    break;

  case 176:

/* Line 1464 of yacc.c  */
#line 1933 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeAttribute;;}
    break;

  case 177:

/* Line 1464 of yacc.c  */
#line 1934 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeOption;;}
    break;

  case 178:

/* Line 1464 of yacc.c  */
#line 1935 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeRendererInfo;;}
    break;

  case 179:

/* Line 1464 of yacc.c  */
#line 1936 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeIncident;;}
    break;

  case 180:

/* Line 1464 of yacc.c  */
#line 1937 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeOpposite;;}
    break;

  case 181:

/* Line 1464 of yacc.c  */
#line 1938 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeTextureInfo;;}
    break;

  case 182:

/* Line 1464 of yacc.c  */
#line 1939 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {(yyval.m_CommType)=CommTypeRayInfo;;}
    break;

  case 183:

/* Line 1464 of yacc.c  */
#line 1945 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqVarDef* pVD=0;
								bool fError=false;
								
								if(((yyvsp[(3) - (6)].m_pParseNode)->ResType()&Type_Mask)!=Type_String)	fError=true;

								// Get the variable, error if not a variable.
								if((yyvsp[(5) - (6)].m_pSymbol).eType&1)	pVD=CqVarDef::GetVariablePtr((yyvsp[(5) - (6)].m_pSymbol).VarRef);
								
								if(pVD!=0 && !fError)
								{
									(yyval.m_pParseNode)=new CqParseNodeCommFunction((yyvsp[(1) - (6)].m_CommType), (yyvsp[(5) - (6)].m_pSymbol).VarRef);
									(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (6)].m_pParseNode));
								}
								else
								{
									yyerror("invalid variable reference");
									(yyval.m_pParseNode)=new CqParseNode();
								}
							;}
    break;

  case 184:

/* Line 1464 of yacc.c  */
#line 1967 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqVarDef* pVD=0;
								bool fError=false;
								
                                if(((yyvsp[(3) - (8)].m_pParseNode)->ResType()&Type_Mask)!=Type_String)	fError=true;

							    if(((yyvsp[(5) - (8)].m_pParseNode)->ResType()&Type_Mask)!=Type_String)	fError=true;

								// Get the variable, error if not a variable.
								if((yyvsp[(7) - (8)].m_pSymbol).eType&1)	pVD=CqVarDef::GetVariablePtr((yyvsp[(7) - (8)].m_pSymbol).VarRef);
								
								if(pVD!=0 && !fError)
								{
									(yyval.m_pParseNode)=new CqParseNodeCommFunction((yyvsp[(1) - (8)].m_CommType), (yyvsp[(7) - (8)].m_pSymbol).VarRef);
								    (yyval.m_pParseNode)->AddLastChild((yyvsp[(5) - (8)].m_pParseNode));
								    (yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (8)].m_pParseNode));
								}
								else
								{
									yyerror("invalid variable reference");
									(yyval.m_pParseNode)=new CqParseNode();
								}
							;}
    break;

  case 185:

/* Line 1464 of yacc.c  */
#line 1991 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqVarDef* pVD=0;
								bool fError=false;
								
								if(((yyvsp[(3) - (6)].m_pParseNode)->ResType()&Type_Mask)!=Type_String)	fError=true;

								// Get the variable, error if not a variable.
								if((yyvsp[(5) - (6)].m_pSymbol).eType&1)	pVD=CqVarDef::GetVariablePtr((yyvsp[(5) - (6)].m_pSymbol).VarRef);
								
								if(pVD!=0 && !fError)
								{
									(yyval.m_pParseNode)=new CqParseNodeCommFunction((yyvsp[(1) - (6)].m_CommType), (yyvsp[(5) - (6)].m_pSymbol).VarRef);
									(yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (6)].m_pParseNode));
								}
								else
								{
									yyerror("invalid variable reference");
									(yyval.m_pParseNode)=new CqParseNode();
								}
							;}
    break;

  case 186:

/* Line 1464 of yacc.c  */
#line 2013 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"
    {
								CqVarDef* pVD=0;
								bool fError=false;
								
                                if(((yyvsp[(3) - (8)].m_pParseNode)->ResType()&Type_Mask)!=Type_String)	fError=true;

							    if(((yyvsp[(5) - (8)].m_pParseNode)->ResType()&Type_Mask)!=Type_String)	fError=true;

								// Get the variable, error if not a variable.
								if((yyvsp[(7) - (8)].m_pSymbol).eType&1)	pVD=CqVarDef::GetVariablePtr((yyvsp[(7) - (8)].m_pSymbol).VarRef);
								
								if(pVD!=0 && !fError)
								{
									(yyval.m_pParseNode)=new CqParseNodeCommFunction((yyvsp[(1) - (8)].m_CommType), (yyvsp[(7) - (8)].m_pSymbol).VarRef);
								    (yyval.m_pParseNode)->AddLastChild((yyvsp[(5) - (8)].m_pParseNode));
								    (yyval.m_pParseNode)->AddLastChild((yyvsp[(3) - (8)].m_pParseNode));
								}
								else
								{
									yyerror("invalid variable reference");
									(yyval.m_pParseNode)=new CqParseNode();
								}
							;}
    break;



/* Line 1464 of yacc.c  */
#line 4859 "/builddir/build/BUILD/aqsis-1.6.0/build/libs/slcomp/parse/parser.cpp"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1684 of yacc.c  */
#line 2039 "/builddir/build/BUILD/aqsis-1.6.0/libs/slcomp/parse/parser.yy"


namespace Aqsis
{

bool FindVariable(const char* name, SqVarRef& Ref)
{
	// First search in the current namespace, then in the global namespace.
	CqString strLocalVar(strNameSpace()+name);
	
	if(CqVarDef::FindVariable(strLocalVar.c_str(), Ref))	return(true);
	else	return(CqVarDef::FindVariable(name, Ref));

	
}


bool FindFunction(const char* name, std::vector<SqFuncRef>& Ref)
{
	// Search in the namespaces from local to global in order.
	CqString strNS(strNameSpace());
	
	do
	{
		CqString strLocalFunc(strNS+name);
		if(CqFuncDef::FindFunction(strLocalFunc.c_str(), Ref))
			return(true);

		// Extract the next namespace up.
		if( ( strNS.size() > 2 ) && ( strNS.substr( strNS.size()-2 ) == "::" ) )
		{
			strNS = strNS.substr( 0, strNS.size()-2 );
			strNS = strNS.substr(0, strNS.rfind("::")+strlen("::"));
		}

	}while( strNS.find_last_of("::") != std::string::npos );
	
	return(CqFuncDef::FindFunction(name, Ref));
}


void TypeCheck()
{
	// Typecheck any declared variables.
	TqUint i;
	for(i=0; i<gLocalVars.size(); i++)
	{
		bool needsCast = false;
		if(gLocalVars[i].pDefValue()!=0)
			gLocalVars[i].pDefValue()->TypeCheck(CqParseNode::pAllTypes(), Type_Last-1, needsCast, false);
	}

	// Typecheck any local functions.
	for(i=0; i<gLocalFuncs.size(); i++)
	{
		if(gLocalFuncs[i].pDef()!=0)
		{
			bool needsCast = false;
//			TqInt RetType=gLocalFuncs[i].Type();
			gLocalFuncs[i].pDefNode()->TypeCheck(CqParseNode::pAllTypes(), Type_Last-1, needsCast, false);
		}
	}

	bool needsCast = false;
	if(ParseTreePointer)
		ParseTreePointer->TypeCheck(CqParseNode::pAllTypes(), Type_Last-1, needsCast, false);
}


void Optimise()
{
	// Optimise any local functions.
	TqUint i;
	for(i=0; i<gLocalFuncs.size(); i++)
	{
		if(gLocalFuncs[i].pDef()!=0)
			gLocalFuncs[i].pDefNode()->Optimise();
	}

	if(ParseTreePointer)
		ParseTreePointer->Optimise();
}


CqString strNameSpace()	
{
	CqString strRes("");

	if(!ParseNameSpaceStack.empty())
		strRes=ParseNameSpaceStack.back().second;

	return(strRes);
}

void pushScope(CqString name, bool terminal)
{
	std::pair<bool,CqString> n;
	n.first = terminal;
	n.second = strNameSpace() + name + CqString(scopeID++) + "::";
	ParseNameSpaceStack.push_back(n);
}

CqString popScope()
{
	CqString old = ParseNameSpaceStack.back().second;
	ParseNameSpaceStack.erase(ParseNameSpaceStack.end()-1);
	return old;
}

void InitStandardNamespace()
{
	std::pair<bool,CqString> n;
	n.first = false;
	n.second = "";
	ParseNameSpaceStack.push_back(n);
}

void ProcessShaderArguments( CqParseNode* pArgs )
{
	if(pArgs)
	{
		// Each child of the variable_definitions is a CqParseNodeVariable
		CqParseNodeVariable* pVar=static_cast<CqParseNodeVariable*>(pArgs->pFirstChild());

		while(pVar)
		{
			// If storage is not specified, a shader parameter defaults to uniform.
			pVar->SetDefaultStorage(Type_Uniform);
			// Force the variable to be a parameter.
			pVar->SetParam();

			// Check if a default value has been specified.
			CqParseNode* pDefValue=pVar->pFirstChild();
			if(pDefValue!=0)
			{
				// Get a pointer to the local variable.
				CqVarDef* pVarDef=CqVarDef::GetVariablePtr(pVar->VarRef());
				if(pVarDef!=0)
				{
					CqParseNode Node;
					pDefValue->UnLink();
					CqParseNodeCast* pCast=new CqParseNodeCast(pVarDef->Type());
					Node.AddLastChild(pCast);
					pCast->AddLastChild(pDefValue);
					Node.Optimise();
					pVarDef->SetpDefValue(Node.pFirstChild());
					pVar->AddFirstChild( Node.pFirstChild() );
				}
			}
			else
			{
				Error(CqString("missing default value for shader instance variable \"")
						+ pVar->strName() + "\"",  pVar->LineNo());
			}
			pVar=static_cast<CqParseNodeVariable*>(pVar->pNext());
		}
	}
}

void Error(const CqString& message, TqInt lineNumber)
{
	AQSIS_THROW_XQERROR(XqParseError, EqE_Syntax,
		ParseStreamName.c_str() << " : " << lineNumber << " : " << message.c_str());
}

} // End Namespace

static void yyerror(const CqString& message)
{
	Error(message, ParseLineNumber);
}

